#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84675896, "crypto_alloc_ahash" },
	{ 0xc06ace97, "__host1x_client_init" },
	{ 0xc8e8e83b, "devm_platform_ioremap_resource" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0x6c47c85, "platform_driver_unregister" },
	{ 0xccf1d21c, "host1x_job_pin" },
	{ 0x57d5861e, "crypto_engine_unregister_aead" },
	{ 0x216d734a, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x47237c84, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0xafbf321c, "host1x_syncpt_request" },
	{ 0x85b6897b, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7ee93ec, "host1x_job_put" },
	{ 0xee4f61a5, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe9edd845, "host1x_job_unpin" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x6309b266, "crypto_engine_register_skcipher" },
	{ 0xe42a383b, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5d1a8c84, "crypto_engine_unregister_skcipher" },
	{ 0x3faa8d49, "host1x_syncpt_put" },
	{ 0x7a6e54d0, "crypto_transfer_hash_request_to_engine" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x49d3f6b7, "crypto_shash_setkey" },
	{ 0x1239ff1d, "host1x_job_submit" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x6814da43, "dma_alloc_attrs" },
	{ 0x559f0f71, "crypto_engine_start" },
	{ 0x5b8a62e0, "crypto_engine_register_aead" },
	{ 0x2f6237b1, "host1x_device_init" },
	{ 0x4d91a4db, "crypto_engine_unregister_ahash" },
	{ 0x94f64079, "__host1x_client_register" },
	{ 0xe0f5515e, "crypto_ahash_finup" },
	{ 0xccf0a6c3, "crypto_engine_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x2871fee2, "_dev_warn" },
	{ 0x9a65c1e, "device_get_match_data" },
	{ 0x922bf987, "crypto_transfer_aead_request_to_engine" },
	{ 0xf9a62bfa, "host1x_driver_unregister" },
	{ 0xb86bc083, "crypto_ahash_digest" },
	{ 0xb87c01e2, "host1x_syncpt_wait" },
	{ 0x6ff736ce, "host1x_syncpt_get" },
	{ 0x23938c34, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xb72f0411, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf563b0c1, "__platform_driver_register" },
	{ 0x2a452db0, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x15aa8966, "host1x_client_unregister" },
	{ 0x22fa02d3, "crypto_finalize_aead_request" },
	{ 0x1ffdec63, "dma_free_attrs" },
	{ 0xf6b2ef45, "dma_map_sgtable" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x4ddc6c6, "host1x_channel_request" },
	{ 0xd1ae994d, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x36f15547, "host1x_device_exit" },
	{ 0x9731b074, "crypto_transfer_skcipher_request_to_engine" },
	{ 0xf5df07c, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9195d9fc, "dma_set_mask" },
	{ 0xb54a804b, "host1x_driver_register_full" },
	{ 0x816f4d16, "dma_get_sgtable_attrs" },
	{ 0xc773bad1, "host1x_channel_put" },
	{ 0xad278761, "dev_err_probe" },
	{ 0x4bc04b03, "devm_clk_get_enabled" },
	{ 0x915e423c, "dma_unmap_sg_attrs" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x8eef1a47, "crypto_alloc_shash" },
	{ 0x9db222b3, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x978983fd, "host1x_syncpt_id" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "2452D85258E9B7F8B659228");
MODULE_INFO(rhelversion, "9.6");
