#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x850b1067, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xe30be6b3, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x57be1413, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x92c0123a, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x35646338, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x76e9a248, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x217063e1, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x35f1dc55, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x26e421cb, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x2d87704a, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xca0a2d45, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x11896330, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x44ec06d1, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xb7c4e8bc, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xbc0e2137, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c75facb, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0x95a344bb, "drm_fb_helper_init" },
	{ 0x2c32572e, "drm_fb_helper_debug_enter" },
	{ 0x335467c, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc7d6dee2, "drm_client_buffer_vmap" },
	{ 0x95660d03, "drm_fb_helper_lastclose" },
	{ 0x3ab8cba, "drm_fb_helper_setcmap" },
	{ 0x3e15e076, "drm_fb_helper_alloc_info" },
	{ 0xb61c1005, "drm_helper_disable_unused_functions" },
	{ 0x9dfe40f, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xadd1c013, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x9f9db498, "drm_fb_helper_fini" },
	{ 0x93c24c4d, "dma_mmap_pages" },
	{ 0xf479d26b, "drm_client_framebuffer_delete" },
	{ 0xb3e18cc2, "dma_free_pages" },
	{ 0x57d201c8, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x429ddc66, "drm_fb_helper_fill_info" },
	{ 0x1b035b08, "drm_gem_create_mmap_offset" },
	{ 0x50a1439e, "drm_gem_object_init" },
	{ 0x1c491947, "dev_driver_string" },
	{ 0x2db9d1fe, "drm_fb_helper_hotplug_event" },
	{ 0x551ace9b, "fb_sys_write" },
	{ 0x49bc12c8, "sys_imageblit" },
	{ 0xa39c0e47, "drm_atomic_helper_damage_iter_init" },
	{ 0xd54ea1a9, "drm_fb_helper_blank" },
	{ 0x49e2d3a2, "dma_alloc_pages" },
	{ 0x50e93125, "drm_gem_private_object_init" },
	{ 0x2a082991, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7ae38d53, "sys_fillrect" },
	{ 0xc693c621, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe60e3bcd, "drm_client_init" },
	{ 0xe559b7d6, "drm_gem_vm_close" },
	{ 0x6f1f86f4, "drm_gem_vm_open" },
	{ 0x852df026, "drm_fb_helper_prepare" },
	{ 0xb1963da8, "down_write" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x498a5a4a, "up_write" },
	{ 0x86d42cdb, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x6814da43, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfce80a4b, "drm_gem_handle_create" },
	{ 0xddbb0084, "drm_gem_fb_get_obj" },
	{ 0xf8c78bac, "__drm_dev_dbg" },
	{ 0xc41acb4c, "drm_fb_helper_pan_display" },
	{ 0x661aadab, "drm_client_release" },
	{ 0x8359a587, "sys_copyarea" },
	{ 0x1ffdec63, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x77bf0e9a, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0b38b8a, "drm_client_buffer_vunmap" },
	{ 0x56198d9a, "fb_sys_read" },
	{ 0x16f4cc72, "drm_fb_helper_debug_leave" },
	{ 0x535d44c2, "dma_buf_vmap_unlocked" },
	{ 0x5053e5d6, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x816f4d16, "dma_get_sgtable_attrs" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xb100af3c, "drm_fb_helper_initial_config" },
	{ 0x4f9d9852, "drm_fb_helper_unregister_info" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xccb004ed, "drm_fb_helper_ioctl" },
	{ 0x9d8a25cd, "drm_fb_helper_set_par" },
	{ 0x310af0f, "drm_prime_gem_destroy" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
MODULE_INFO(rhelversion, "9.6");
