#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0x83330a6d, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0xf049942b, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0xf3ecc148, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0x1402956d, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0x2d347c02, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0xd2c4e009, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0x0eadc1e5, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c7a1402, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc035b794, "misc_deregister" },
	{ 0x27e456d5, "idr_find" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0xded599a9, "coresight_disclaim_device_unlocked" },
	{ 0x59f4003f, "amba_driver_unregister" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xd3c34d9a, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xb3e18cc2, "dma_free_pages" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x47f671e0, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0xf6db4f85, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x49e2d3a2, "dma_alloc_pages" },
	{ 0x57d1146f, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa65a7f91, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xbb1e08a4, "__free_pages" },
	{ 0x66bcf2e1, "fwnode_property_read_u32_array" },
	{ 0x772f69a8, "_dev_info" },
	{ 0x5e384d56, "coresight_claim_device" },
	{ 0xf7c8fdc8, "iommu_get_domain_for_dev" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0xdbb4c235, "__dma_sync_single_for_cpu" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0xc53949a5, "idr_alloc" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x9f1e0e68, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x2871fee2, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf22e7abb, "misc_register" },
	{ 0x5eedfb6a, "__alloc_pages" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x52872cc6, "nonseekable_open" },
	{ 0x2a452db0, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3478da8, "fwnode_property_present" },
	{ 0x2154214c, "__pm_runtime_resume" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x77bf0e9a, "__dma_sync_single_for_device" },
	{ 0x2d31a7ba, "devm_ioremap_resource" },
	{ 0xc1205488, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9195d9fc, "dma_set_mask" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x99c4f5fb, "perf_aux_output_flag" },
	{ 0xd3c97311, "coresight_alloc_device_name" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x86e6140b, "amba_driver_register" },
	{ 0x28c0ee52, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xdb245029, "coresight_disclaim_device" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");

MODULE_INFO(srcversion, "EAE21FBF7A48EFFEFF1C924");
MODULE_INFO(rhelversion, "9.6");
