#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xecc3f699, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0x46747696, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0x0c99d419, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0xf872c286, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0x5e384d56, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0xded599a9, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0xdb245029, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0x6c6c1a08, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0xdf265c87, "_gpl");
SYMBOL_CRC(coresight_disable, 0x26694460, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x47f671e0, "_gpl");
SYMBOL_CRC(coresight_unregister, 0x57d1146f, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0xb6e4c4e0, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0xd3c97311, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0xe785e3b3, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x84799e23, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0x0dbdc5d6, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0x1c7a1402, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0x260549ca, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0x8b9e787d, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x185dc1a5, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x79b310e5, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0x8673aa5d, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0xa80c1662, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0x5fbba287, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0x84d8fd75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebc11710, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0x37ea6afe, "is_acpi_device_node" },
	{ 0xdbaffc71, "of_fwnode_ops" },
	{ 0x9e90c1e6, "config_group_init" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0x6ec24aba, "of_get_next_parent" },
	{ 0x6ef0134b, "dev_set_name" },
	{ 0x9329ae7c, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd527744, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7f70bb86, "sysfs_add_file_to_group" },
	{ 0xc1bca64, "device_unregister" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x78d2ee9, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x186849ba, "processors" },
	{ 0x9accb03a, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xf0b96427, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9599bda0, "configfs_unregister_subsystem" },
	{ 0x25409630, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xd35edf2e, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf5be44b, "put_device" },
	{ 0xa65a7f91, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x14b6a431, "bus_for_each_dev" },
	{ 0x772f69a8, "_dev_info" },
	{ 0x492c06c7, "config_item_set_name" },
	{ 0xc693c621, "module_put" },
	{ 0x7225ac1d, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0x7b0adb23, "sysfs_remove_link_from_group" },
	{ 0x7d09630e, "perf_pmu_register" },
	{ 0x1a2c175a, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x354bbb68, "bus_unregister" },
	{ 0xe68e9afb, "devm_kfree" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x623af651, "bus_find_device" },
	{ 0xc633fd14, "configfs_register_subsystem" },
	{ 0xb03c0098, "__of_parse_phandle_with_args" },
	{ 0xb3c3f4e, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xae1aa869, "config_group_init_type_name" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x1e8634b6, "perf_pmu_unregister" },
	{ 0xf8d808a5, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x1dcd4c41, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5122b247, "of_graph_get_next_endpoint" },
	{ 0xbdc2b37f, "sysfs_remove_file_from_group" },
	{ 0x99b62797, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc7021a60, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x2871fee2, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcfcb580f, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x7cc19d74, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xfa591bb3, "devm_kasprintf" },
	{ 0x12c45b3f, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3478da8, "fwnode_property_present" },
	{ 0x2154214c, "__pm_runtime_resume" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x4e520582, "acpi_fetch_acpi_dev" },
	{ 0xe90ede1d, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9880c55, "amba_bustype" },
	{ 0x2a75fb4c, "platform_bus_type" },
	{ 0x3954451a, "sysfs_add_link_to_group" },
	{ 0xc1205488, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf881b2, "of_node_name_eq" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x58c2648d, "fwnode_handle_put" },
	{ 0x99c4f5fb, "perf_aux_output_flag" },
	{ 0xe498a1c3, "configfs_unregister_group" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x28c0ee52, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd654554, "__dev_fwnode" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xfa10d6e4, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
