#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xf969ece4, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x38f01fde, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x36a3bb5a, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xe701aebc, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x51e15033, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xec8ddae6, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xc3cacfd8, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x6c538e5d, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xd105546c, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x524a2c29, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x4578dfa9, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x09cabf7a, "_gpl");
SYMBOL_CRC(dm_get_md, 0x25229caa, "_gpl");
SYMBOL_CRC(dm_hold, 0x592714f6, "_gpl");
SYMBOL_CRC(dm_device_name, 0xfd01cc9e, "_gpl");
SYMBOL_CRC(dm_put, 0xed4541e9, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xca5b4faa, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x6e73c6c1, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xbce2c1b1, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xbd25777a, "_gpl");
SYMBOL_CRC(dm_disk, 0x10e5ba00, "_gpl");
SYMBOL_CRC(dm_suspended, 0x23bb74a5, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xb957fa88, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xa75c9f02, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xb2109682, "");
SYMBOL_CRC(dm_put_device, 0x8eb8cbbe, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xe923eff0, "_gpl");
SYMBOL_CRC(dm_table_event, 0xd7605c70, "");
SYMBOL_CRC(dm_table_get_size, 0x9ff097d2, "");
SYMBOL_CRC(dm_table_get_mode, 0x699c1132, "");
SYMBOL_CRC(dm_table_get_md, 0xa68e5ee1, "");
SYMBOL_CRC(dm_table_device_name, 0x39e2a4ad, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x6ec8d7ef, "");
SYMBOL_CRC(dm_register_target, 0x11775fd4, "");
SYMBOL_CRC(dm_unregister_target, 0x0cd1eb3e, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xd2500a25, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x6f485412, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x1f350e79, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x152dd647, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x016355f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65997062, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x8d712ec9, "set_disk_ro" },
	{ 0x44140056, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4cec6ff4, "__init_rwsem" },
	{ 0xc035b794, "misc_deregister" },
	{ 0xe13bdd61, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x27e456d5, "idr_find" },
	{ 0x55efe27c, "param_ops_uint" },
	{ 0x6e5f0ac1, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xccf1a9d2, "bio_split_to_limits" },
	{ 0x16714c31, "vmalloc_to_page" },
	{ 0x42a23ebf, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5cdd4dc0, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xa090d677, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x46c7ea21, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x50fea938, "idr_replace" },
	{ 0x6323328f, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0xc41ae4ea, "mempool_init" },
	{ 0x7427e9b7, "blk_rq_prep_clone" },
	{ 0xbca11e8d, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x486cee79, "prepare_to_wait" },
	{ 0x84f640e8, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x5bbd7849, "__traceiter_block_bio_remap" },
	{ 0xb1b7ac75, "freeze_bdev" },
	{ 0xdd6ac8ec, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c77a26d, "prepare_to_wait_event" },
	{ 0xde60f751, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0x3822f0d1, "synchronize_srcu" },
	{ 0x8329478e, "kmem_cache_create" },
	{ 0x47457df3, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b4b8075, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x32bddfda, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x371dce7f, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x6fa89777, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xe9a7de9d, "__traceiter_block_split" },
	{ 0xcf9971cc, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x80ac4da8, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xda6e1e54, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x9460684, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xa65a7f91, "kmalloc_node_trace" },
	{ 0x9fdc6237, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xbb1e08a4, "__free_pages" },
	{ 0xaf010c88, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xa21ff706, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa3d3bd8b, "submit_bio" },
	{ 0x9d7df399, "dax_add_host" },
	{ 0xc693c621, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbd916a3d, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x96cceea1, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0x8add06c5, "kobject_uevent_env" },
	{ 0x9b6a88d5, "bio_put" },
	{ 0xe67a2351, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xacbe180b, "init_srcu_struct" },
	{ 0x91299119, "fput" },
	{ 0xb1963da8, "down_write" },
	{ 0xa2297c25, "blk_revalidate_disk_zones" },
	{ 0x498a5a4a, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa9039350, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xc53949a5, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0xe7254681, "__srcu_read_lock" },
	{ 0x4235c608, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x819aaa0f, "thaw_bdev" },
	{ 0xf5f02b52, "set_capacity" },
	{ 0x9325d84c, "submit_bio_noacct" },
	{ 0x97df2253, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x81968901, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xf144e9fa, "kmem_cache_free" },
	{ 0x6c64a722, "dax_remove_host" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x5c732c00, "bio_chain" },
	{ 0x9492fabd, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0xfdc416ed, "kobject_init_and_add" },
	{ 0xe7fefe36, "zero_fill_bio_iter" },
	{ 0xfbbc3ef3, "bio_add_page" },
	{ 0x1723ae0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8c50e69c, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x83bcaad9, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd650dd3b, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1f5ad4e8, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x33e1dc, "idr_destroy" },
	{ 0x2b4d1ffa, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xce67f94c, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x38e3462, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf22e7abb, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7eca3655, "blk_insert_cloned_request" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x90f1fb7b, "audit_log_start" },
	{ 0x52872cc6, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5952209, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfadba494, "bio_uninit" },
	{ 0xfea6a997, "crypto_shash_final" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x219d045c, "param_ops_bool" },
	{ 0x7ae30ab2, "bioset_init" },
	{ 0x5cade04c, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfc7a2422, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0964f02, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd2157fc7, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0xf5a22d8d, "bd_link_disk_holder" },
	{ 0xdaefd282, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0xe14aca14, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb94fcafc, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xce8a059f, "blk_zone_plug_bio" },
	{ 0x2605b225, "param_ops_int" },
	{ 0x6932625a, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x8eef1a47, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xec34669d, "queue_limits_set" },
	{ 0xc1290c08, "bio_alloc_bioset" },
	{ 0xaa8a6315, "up_read" },
	{ 0x4df87b40, "blk_mq_requeue_request" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa8da77d2, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d3045c2, "bdev_end_io_acct" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x5b63f221, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd2506b37, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x73f905a7, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4412AA748ECC0BA22C5EF54");
MODULE_INFO(rhelversion, "9.6");
