#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xef11e1f9, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x6bb662de, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xba824c75, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x65b59e14, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x1c6912ea, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xe9941242, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x503a99ac, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x72aa7f63, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x4cb2d720, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc53949a5, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbffaf839, "netdev_err" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0xbf57eaf7, "skb_copy_datagram_iter" },
	{ 0x8807ce9c, "_copy_to_iter" },
	{ 0xa4203767, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x486cee79, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x188fd134, "cdev_init" },
	{ 0x87cc0882, "cdev_add" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe55ca9ce, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x33e1dc, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6098cd14, "skb_push" },
	{ 0x6db8a11a, "__skb_gso_segment" },
	{ 0x7791f681, "kfree_skb_list_reason" },
	{ 0xf2f491dd, "skb_checksum_help" },
	{ 0xaa5e789e, "__skb_get_hash_net" },
	{ 0x303e3659, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x27e456d5, "idr_find" },
	{ 0xc3b8d2af, "sk_alloc" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x6ea27ef4, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x21bf6b7a, "__skb_flow_dissect" },
	{ 0x429b5fd8, "skb_partial_csum_set" },
	{ 0x7f460758, "__pskb_pull_tail" },
	{ 0xdc68f662, "iov_iter_npages" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x79f6868a, "sock_alloc_send_pskb" },
	{ 0xc975225b, "skb_put" },
	{ 0x93d5760b, "zerocopy_sg_from_iter" },
	{ 0xb7458a6a, "__dev_queue_xmit" },
	{ 0xab143832, "skb_copy_datagram_from_iter" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0x5b3c6e78, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6c9428ed, "dev_set_mac_address_user" },
	{ 0x5547f3a8, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "798B7968E186D5671C997E0");
MODULE_INFO(rhelversion, "9.6");
