#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x3c680e8e, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x365fa2a3, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xa8049588, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xda331bab, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xe5613738, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xf76709e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0x56f5b8f0, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xecf5841a, "__nlmsg_put" },
	{ 0xc975225b, "skb_put" },
	{ 0x6ef0134b, "dev_set_name" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc1bca64, "device_unregister" },
	{ 0x25f2521e, "skb_dequeue" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0xc78776f9, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x52d247ae, "device_for_each_child" },
	{ 0x7c77a26d, "prepare_to_wait_event" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0x2c0f02f4, "rtnl_create_link" },
	{ 0x816d7bf5, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x1c4947ef, "skb_queue_purge_reason" },
	{ 0x4bb94164, "alloc_netdev_mqs" },
	{ 0xfb9b0054, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbf5be44b, "put_device" },
	{ 0x76c9e670, "__alloc_skb" },
	{ 0x772f69a8, "_dev_info" },
	{ 0x7ad45a23, "skb_queue_tail" },
	{ 0x2781603d, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x905ed536, "rtnl_link_unregister" },
	{ 0x97a7a420, "init_net" },
	{ 0xd1844e36, "skb_pull" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0x97df2253, "noop_llseek" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x432e237f, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa7155622, "ida_free" },
	{ 0x8f7e14e3, "free_netdev" },
	{ 0x66e7d86c, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb53f4860, "class_dev_iter_init" },
	{ 0xc7021a60, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xfced4756, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa62f11c3, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xec96a9e8, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x79e10d27, "debugfs_create_dir" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x4b125b16, "class_register" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xcc428133, "skb_queue_head" },
	{ 0x3df5afd6, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xee8cf03e, "register_netdevice" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
