#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x811c1179, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xcc2a4438, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x8a8641df, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xe209e614, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x4986b873, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x319bb42b, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xb04f201b, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x395ce9ac, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xbb34d742, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xa77d68ad, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x69c5f7fb, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x68116b9d, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x77d3bf97, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xa487d60c, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x939070ad, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x1bd82df4, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x12887ec1, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xb914fdcc, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x8d927138, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xb4de83dd, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x94cade90, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x01701518, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x7bf30d9f, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x67192e0c, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x29554d20, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x75890674, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xbe79762f, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x81b294d8, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x952d5e6e, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xac41a30e, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xd7b1167a, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x4b99e0b3, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x0ae3ff40, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x2cddaca5, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x961a52f1, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x0613365a, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x74b32426, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xbae9288f, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xa0317530, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x0d3f9884, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x46750446, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xf8871fa6, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xf007c617, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x41250663, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x93f9b20d, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x49521f89, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x73deddeb, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xf03da103, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xd8bea15a, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x7c9960f0, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x17e0ae6e, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xbeb789bb, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xe2d23e6e, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xb7bea334, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x9b3b5a54, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x321c7588, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x394e04e6, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x090b89a0, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xa0a9fde3, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x4d003243, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x860c0810, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x6021f088, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e745118, "set_capacity_and_notify" },
	{ 0x65997062, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8d712ec9, "set_disk_ro" },
	{ 0x44140056, "__blk_alloc_disk" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4ead79a, "bio_integrity_map_user" },
	{ 0x8964ad1e, "ida_destroy" },
	{ 0xbc553904, "device_remove_file_self" },
	{ 0x55efe27c, "param_ops_uint" },
	{ 0x6e5f0ac1, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ef0134b, "dev_set_name" },
	{ 0xccf1a9d2, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xfb6f613b, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x42a23ebf, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa8d5a409, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9f304de0, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0xc73e1fec, "queue_limits_stack_bdev" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xe0d89ce7, "device_initialize" },
	{ 0xbca11e8d, "blk_mq_unquiesce_queue" },
	{ 0x84f640e8, "blk_mq_quiesce_queue" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x25298eb3, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x5bbd7849, "__traceiter_block_bio_remap" },
	{ 0x5bd49c7c, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7eb10852, "bpf_trace_run2" },
	{ 0x7c77a26d, "prepare_to_wait_event" },
	{ 0x30ab701a, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x3822f0d1, "synchronize_srcu" },
	{ 0x955efbc7, "param_ops_byte" },
	{ 0x8329478e, "kmem_cache_create" },
	{ 0xf0b96427, "get_device" },
	{ 0x47457df3, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x762f0530, "__blk_mq_alloc_disk" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0x3b4b8075, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x371dce7f, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6fa89777, "blk_mq_alloc_tag_set" },
	{ 0x2076c763, "blk_rq_is_poll" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xebb27773, "mempool_create" },
	{ 0x80ac4da8, "put_disk" },
	{ 0xe7ee0a74, "crypto_alloc_kpp" },
	{ 0xbd11c3f3, "cdev_device_add" },
	{ 0xe3516dca, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x77014173, "blk_execute_rq" },
	{ 0xbf5be44b, "put_device" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0x93e3631c, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xa65a7f91, "kmalloc_node_trace" },
	{ 0x9fdc6237, "mempool_alloc" },
	{ 0x6637503a, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xbb1e08a4, "__free_pages" },
	{ 0x772f69a8, "_dev_info" },
	{ 0x9bfae578, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc693c621, "module_put" },
	{ 0x7225ac1d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbc04578c, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3f7274d4, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x7bab85a, "blk_mq_quiesce_tagset" },
	{ 0x8add06c5, "kobject_uevent_env" },
	{ 0xe67a2351, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xacbe180b, "init_srcu_struct" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0xa2297c25, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x49d3f6b7, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7e73544f, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5c7bce2, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb3c3f4e, "sysfs_remove_link" },
	{ 0x74136593, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe7254681, "__srcu_read_lock" },
	{ 0xf5f02b52, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x9325d84c, "submit_bio_noacct" },
	{ 0x484b360d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x7b51fc1, "blk_sync_queue" },
	{ 0x81968901, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb986c35a, "blk_mq_alloc_request_hctx" },
	{ 0x34440e61, "__io_uring_cmd_do_in_task" },
	{ 0x58f2846c, "blk_mq_alloc_request" },
	{ 0xa7155622, "ida_free" },
	{ 0x1723ae0, "crypto_shash_update" },
	{ 0x66e7d86c, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8c50e69c, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x83bcaad9, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd650dd3b, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0xfb65b481, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x682c4cd7, "blk_put_queue" },
	{ 0xd2c837fc, "bpf_trace_run1" },
	{ 0x6b4ed124, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x2871fee2, "_dev_warn" },
	{ 0xe45702ff, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x2e62b9e7, "io_uring_cmd_done" },
	{ 0x852d7ac9, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6c55ae5d, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x1cab6640, "xa_erase" },
	{ 0x1f05dfe0, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5952209, "blk_mq_complete_request" },
	{ 0xfb8a022a, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0xfea6a997, "crypto_shash_final" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x219d045c, "param_ops_bool" },
	{ 0x80af5694, "blk_mq_destroy_queue" },
	{ 0x5a01aba2, "xa_destroy" },
	{ 0x931f8663, "blk_freeze_queue_start" },
	{ 0x4674a681, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x762efd57, "xa_find" },
	{ 0xfc7a2422, "alloc_pages" },
	{ 0x354128e2, "mempool_destroy" },
	{ 0x6f13bd28, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x25307ce, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd2157fc7, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x7416a388, "blk_mq_unfreeze_queue" },
	{ 0xe5dad6aa, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x905346cf, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x77ebaf5, "blk_rq_map_user_iov" },
	{ 0x954ffd6b, "xa_find_after" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xb94fcafc, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x20e8555, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8eef1a47, "crypto_alloc_shash" },
	{ 0x59d0336d, "blk_mq_freeze_queue_wait" },
	{ 0x217962c, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4df87b40, "blk_mq_requeue_request" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x4b125b16, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x188fd134, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d3045c2, "bdev_end_io_acct" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xd383be4b, "blk_steal_bios" },
	{ 0xd2506b37, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "7F8AFC0F24E64D67FC57077");
MODULE_INFO(rhelversion, "9.6");
