#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qmp_send, "", "");
KSYMTAB_FUNC(qmp_get, "", "");
KSYMTAB_FUNC(qmp_put, "", "");

SYMBOL_CRC(qmp_send, 0x9e2aa1df, "");
SYMBOL_CRC(qmp_get, 0x798a9c95, "");
SYMBOL_CRC(qmp_put, 0x2333aed6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c6c17be, "mbox_send_message" },
	{ 0x8955c5d0, "mbox_client_txdone" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xbf5be44b, "put_device" },
	{ 0xf563b0c1, "__platform_driver_register" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0x6c47c85, "platform_driver_unregister" },
	{ 0xb03c0098, "__of_parse_phandle_with_args" },
	{ 0xfc48b17b, "of_find_device_by_node" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6057a49, "of_clk_del_provider" },
	{ 0xe8829199, "clk_hw_unregister" },
	{ 0xfcd2b471, "thermal_cooling_device_unregister" },
	{ 0x92f25e59, "mbox_free_channel" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7c77a26d, "prepare_to_wait_event" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc8e8e83b, "devm_platform_ioremap_resource" },
	{ 0xcf628414, "mbox_request_channel" },
	{ 0x3dbad1a8, "platform_get_irq" },
	{ 0x251c4062, "devm_request_threaded_irq" },
	{ 0xfbbc0247, "clk_hw_register" },
	{ 0x5461b3e8, "of_clk_hw_simple_get" },
	{ 0x8514cabb, "of_clk_add_hw_provider" },
	{ 0x448f7a1a, "of_get_next_available_child" },
	{ 0xf8d808a5, "of_find_property" },
	{ 0x131983cf, "devm_thermal_of_cooling_device_register" },
	{ 0xe68e9afb, "devm_kfree" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmpC*");

MODULE_INFO(srcversion, "3357B0EE3B54D46A87E7CCB");
MODULE_INFO(rhelversion, "9.6");
