#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0xa62ffe32, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0xd3220c13, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0xabbd0a94, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba104247, "skb_checksum" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x5e5f0d1e, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x5f74ec4a, "xfrm6_protocol_register" },
	{ 0x3e6c779c, "xfrm_unregister_type" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x7baec7ff, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1da9f15c, "crypto_alloc_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0761c75, "crypto_aead_setauthsize" },
	{ 0xff0a14c9, "crypto_aead_setkey" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf87e40bf, "xfrm_state_lookup" },
	{ 0x875cad6f, "make_kuid" },
	{ 0x6a5d3f64, "ip6_update_pmtu" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3fb69a75, "ip6_redirect" },
	{ 0xbecf11a9, "__xfrm_state_destroy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe83dfc66, "__put_devmap_managed_page_refs" },
	{ 0x9864e226, "napi_pp_put_page" },
	{ 0x69953b2a, "__folio_put" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2b9fb8, "skb_to_sgvec" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x59e553c1, "skb_page_frag_refill" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xdcb764ad, "memset" },
	{ 0x646fbd42, "crypto_aead_encrypt" },
	{ 0xe8f69aa8, "xfrm_trans_queue_net" },
	{ 0x303e3659, "sk_free" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0x6007f834, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4aab69f, "ipv6_skip_exthdr" },
	{ 0xd8233ecc, "km_new_mapping" },
	{ 0x7d2b1373, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xfaeed5db, "xfrm_input_resume" },
	{ 0xe22c45d5, "skb_cow_data" },
	{ 0xa4696dd2, "crypto_aead_decrypt" },
	{ 0x6098cd14, "skb_push" },
	{ 0x7f460758, "__pskb_pull_tail" },
	{ 0x52fe1f27, "xfrm_dev_resume" },
	{ 0xf8acb6a9, "xfrm_output_resume" },
	{ 0x3a7e7a47, "__skb_ext_del" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x327fbb61, "__inet6_lookup_established" },
	{ 0xd11db760, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4bfd12d1, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5e99f7e, "espintcp_queue_out" },
	{ 0x13f469f1, "pskb_put" },
	{ 0x7524f76e, "xfrm_state_mtu" },
	{ 0x54ac156d, "xfrm6_rcv" },
	{ 0x313f912b, "xfrm_input" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "C2EA4915414A75E8E73E17F");
MODULE_INFO(rhelversion, "9.6");
