#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x9981fa73, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xf413f355, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xfcbd57cb, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x1e32fde6, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x283d1151, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x51c347b1, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xf2ff79cc, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x729527c2, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x8478a663, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x28058797, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xc29a43e4, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xd39c2083, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x61fb51f2, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x2437f0e4, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xdc10bbbb, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xff15cc88, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xdbe296c3, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x9065e432, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x0f5135a4, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xea1d82ae, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xb9698a20, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x3ad768f7, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x49d7d565, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x7d52d85a, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x78196976, "_gpl");
SYMBOL_CRC(print_tuple, 0xd8d6d6cf, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xa0b7c894, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xc5231f33, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xf8f7d4e5, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x967448f1, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x254d6b58, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xdb202daf, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xcb1be146, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xa2e25cc5, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x708e6f8a, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xebfc971b, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xbae4a85a, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x9f6bc3c1, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x76a699a7, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x3dfba7de, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x521754ec, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x0bb40bfe, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x17eac63a, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xf895a89c, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xaa5d8bd4, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x23a0f80a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x97a9b517, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x7ecd10a7, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xec093d0a, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x63c9878e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x7942a193, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xf7b08475, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x9355da4f, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x5f8d81bc, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xc9cc3e33, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x7ad311b2, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x3367c09e, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xe20feba6, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x694fc64f, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x2ea0f513, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x51d2a032, "_gpl");
SYMBOL_CRC(nf_confirm, 0x0784a645, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xa1ef8ef5, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x9fba42c4, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x2bbd1b14, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x51c85a14, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x028a26bc, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x04168ac2, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x61f27a9a, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x67a32db6, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x9b16bb36, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x6698442e, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x40016ccb, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xc993714c, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x03e9ef78, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xf840d064, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xe3b0b5a4, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x84fa1173, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x9371e789, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xb390afe1, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xa702a323, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x143bb585, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x0156faa3, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x410f6e1e, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xcaf07a31, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x4cd8c329, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x13694f9c, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x1f55a112, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xb6828163, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x653171f4, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xdcfd524b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa7d9b4b, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8f13cf76, "nf_defrag_ipv4_disable" },
	{ 0x23ff97ce, "nf_ip6_checksum" },
	{ 0xe8e16add, "proc_dou8vec_minmax" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0x55efe27c, "param_ops_uint" },
	{ 0xc7eaac68, "proc_dointvec_jiffies" },
	{ 0x5a698a61, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7614cf5, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x6d536c17, "nfct_btf_struct_access" },
	{ 0x9fba41d1, "param_set_uint" },
	{ 0x6f85d0da, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x295251fd, "nf_ct_frag6_gather" },
	{ 0xb08ba454, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8329478e, "kmem_cache_create" },
	{ 0x8c8fb182, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1db763e7, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xd2b1cc77, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc651045a, "nf_unregister_sockopt" },
	{ 0x7ff37fdd, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x875cad6f, "make_kuid" },
	{ 0xe49d1487, "nf_defrag_ipv6_disable" },
	{ 0xf4aab69f, "ipv6_skip_exthdr" },
	{ 0x703a660e, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xaf010c88, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xc693c621, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x75142a16, "nf_checksum" },
	{ 0xf2dbc6dc, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x97a7a420, "init_net" },
	{ 0x130ab1cc, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xf144e9fa, "kmem_cache_free" },
	{ 0x646c4456, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5e152123, "nf_checksum_partial" },
	{ 0xa35d01d1, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xba91e7d4, "nf_unregister_net_hooks" },
	{ 0xf1443079, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x98be3050, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xc70877f8, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x241a0248, "nf_log_packet" },
	{ 0x27f6f983, "make_kgid" },
	{ 0xbdc02db9, "nf_ip_checksum" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x7c399461, "register_btf_kfunc_id_set" },
	{ 0xcc374f1e, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x2498e6c, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x352e214f, "__skb_checksum" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x86848ad1, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x219d045c, "param_ops_bool" },
	{ 0xb73da245, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2cc91118, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x79e650d, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x664167f1, "proc_dointvec" },
	{ 0x23e62471, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x555d0856, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x131e8c4c, "unregister_net_sysctl_table" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x8557577c, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x4e9b6b0c, "pskb_trim_rcsum_slow" },
	{ 0xaa8a6315, "up_read" },
	{ 0xa48996af, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd2506b37, "kmem_cache_destroy" },
	{ 0xbc2cabb2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "711B16A0039BE820C39888A");
MODULE_INFO(rhelversion, "9.6");
