#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x8ffb5f08, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xc82bfadc, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x501b0e3f, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xaee2c2f8, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x9060bef6, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xcc99a6ce, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xd676c3ee, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x6f309d8d, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xb21aff45, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xfdf9d9e1, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x15ca53b7, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x1387594c, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xe3dbfc4d, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x9e4c48eb, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x48a6ad3d, "");
SYMBOL_CRC(nf_nat_follow_master, 0x3639f08f, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x1328c24b, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x817f5cf5, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x74f63663, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xf4b22b2a, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x4494bfa6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28a26bc, "nf_ct_ext_add" },
	{ 0xfa7d9b4b, "__do_once_done" },
	{ 0x8478a663, "nf_conntrack_find_get" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x23ff97ce, "nf_ip6_checksum" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0x8932d3ea, "nf_hook_entries_insert_raw" },
	{ 0xc5764de1, "xfrm_lookup" },
	{ 0x61f27a9a, "nf_ct_seqadj_set" },
	{ 0xc975225b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x97a9b517, "nf_ct_helper_expectfn_unregister" },
	{ 0x938567d3, "__xfrm_decode_session" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x23a0f80a, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x934781, "pskb_expand_head" },
	{ 0xd2b1cc77, "register_pernet_subsys" },
	{ 0x61fb51f2, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xb9698a20, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf4aab69f, "ipv6_skip_exthdr" },
	{ 0x703a660e, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xec39287f, "nf_ipv6_ops" },
	{ 0xc693c621, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xdbe296c3, "nf_conntrack_alter_reply" },
	{ 0xedec98f8, "ip_route_me_harder" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x2cc39435, "nf_hook_entries_delete_raw" },
	{ 0xa35d01d1, "skb_ensure_writable" },
	{ 0xba91e7d4, "nf_unregister_net_hooks" },
	{ 0xab8a1824, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x98be3050, "unregister_pernet_subsys" },
	{ 0xba104247, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x729527c2, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xbdc02db9, "nf_ip_checksum" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x7c399461, "register_btf_kfunc_id_set" },
	{ 0x3ad768f7, "nf_ct_iterate_destroy" },
	{ 0xb4aa65b5, "inet_proto_csum_replace16" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2498e6c, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x352e214f, "__skb_checksum" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xb73da245, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9910583, "dst_release" },
	{ 0xf5135a4, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x555d0856, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "EEB9ABC658119093C34A105");
MODULE_INFO(rhelversion, "9.6");
