#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xda7048a6, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x15bdb221, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xee0a046f, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x98aac757, "");
SYMBOL_CRC(gss_mech_put, 0xb81b013f, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x5780ee8e, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x4951a8c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe933c25a, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x51478072, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xf8676074, "xdr_buf_from_iov" },
	{ 0x27217bff, "bpf_trace_run4" },
	{ 0xbd457661, "xdr_stream_decode_opaque_auth" },
	{ 0x55efe27c, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5aa2834a, "xdr_write_pages" },
	{ 0x590a97a0, "rpc_shutdown_client" },
	{ 0x918f483e, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6c54d6cf, "xdr_inline_decode" },
	{ 0x9d28d93, "cache_create_net" },
	{ 0x55b06dc8, "rpcauth_destroy_credcache" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1838d739, "bpf_trace_run6" },
	{ 0xc372ba29, "rpc_net_ns" },
	{ 0x3f87d7f6, "read_bytes_from_xdr_buf" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0x27cd662d, "rpc_wake_up" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d1afd8, "sunrpc_cache_lookup_rcu" },
	{ 0x486cee79, "prepare_to_wait" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xe83dfc66, "__put_devmap_managed_page_refs" },
	{ 0x5782d906, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x7eb10852, "bpf_trace_run2" },
	{ 0x7c77a26d, "prepare_to_wait_event" },
	{ 0x93539fcf, "xdr_truncate_decode" },
	{ 0x97c6aaea, "rpcauth_unregister" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0x5b801862, "__xdr_commit_encode" },
	{ 0x6bc80e6, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xad6fe494, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe2dcf271, "__put_cred" },
	{ 0xd2b1cc77, "register_pernet_subsys" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0x43d636ee, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xb8eee93a, "rpc_release_client" },
	{ 0x1ebacd35, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5f200c7a, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6248391e, "svc_auth_register" },
	{ 0x6751884b, "xdr_stream_encode_opaque_auth" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0x875cad6f, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x68d65ca9, "rpc_destroy_pipe_data" },
	{ 0xbb1e08a4, "__free_pages" },
	{ 0xa7bf2837, "rpc_pipe_generic_upcall" },
	{ 0xc693c621, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x68a15760, "cache_unregister_net" },
	{ 0x18edaffc, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x18150906, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xd04600d0, "rpcauth_init_credcache" },
	{ 0x76b158b5, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xee458d81, "xdr_init_decode" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0xf507934b, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x213a9550, "rpc_sleep_on_timeout" },
	{ 0xaf405ef4, "rpc_create" },
	{ 0xd2c837fc, "bpf_trace_run1" },
	{ 0xe6127b63, "rpc_call_sync" },
	{ 0x1fb83972, "from_kuid" },
	{ 0x98be3050, "unregister_pernet_subsys" },
	{ 0x270e69d8, "rpc_queue_upcall" },
	{ 0x194fe234, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x707bd806, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xac20d7cc, "svcauth_unix_set_client" },
	{ 0x9dfca06b, "xdr_buf_subsegment" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x27f6f983, "make_kgid" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x772a43e9, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x95292b39, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x52872cc6, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1f05dfe0, "bpf_trace_run3" },
	{ 0x2498e6c, "__put_net" },
	{ 0xff61cabd, "rpc_mkpipe_dentry" },
	{ 0x307682fe, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xd10448f7, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xd1b4600f, "cache_register_net" },
	{ 0x91a878de, "init_user_ns" },
	{ 0xfc7a2422, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4c61a9df, "xdr_inline_pages" },
	{ 0x69953b2a, "__folio_put" },
	{ 0x2cc91118, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x15e1ea7f, "rpc_init_wait_queue" },
	{ 0x92c58c5f, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xef19071, "rpc_unlink" },
	{ 0x36be2883, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x62bfed99, "from_kuid_munged" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xe4463bc1, "rpcauth_init_cred" },
	{ 0xdc6fdada, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6baf659a, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x68d965d5, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2c90613c, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x69fc8726, "sunrpc_cache_update" },
	{ 0xb6761ee, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d001450, "rpc_destroy_wait_queue" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb46b7b45, "auth_domain_put" },
	{ 0x7abd6789, "rpcauth_unwrap_resp_decode" },
	{ 0xc8cda829, "rpcauth_register" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
