#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x7ac2ade3, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x81c59dd8, "_gpl");
SYMBOL_CRC(tls_get_record, 0xf1901092, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x5c6b76b9, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x5a9a528b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71c91d3b, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x12e12a8c, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38af8390, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x93af91ff, "tcp_read_sock" },
	{ 0x27217bff, "bpf_trace_run4" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0x15af24e0, "sk_page_frag_refill" },
	{ 0xc975225b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0x5acf5a98, "sk_psock_msg_verdict" },
	{ 0x1838d739, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0x650ec0da, "iov_iter_get_pages2" },
	{ 0x6007f834, "___pskb_trim" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42a502a, "add_wait_queue" },
	{ 0xe83dfc66, "__put_devmap_managed_page_refs" },
	{ 0xf05bc2d, "clean_acked_data_enable" },
	{ 0xd90a4eb4, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1da9f15c, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xa0761c75, "crypto_aead_setauthsize" },
	{ 0xa4696dd2, "crypto_aead_decrypt" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xe13ab343, "sk_stream_error" },
	{ 0x90fbd9ae, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x57e0aaf2, "sk_msg_memcopy_from_iter" },
	{ 0xe336c8b6, "sk_error_report" },
	{ 0xd2b1cc77, "register_pernet_subsys" },
	{ 0xe8a68311, "put_cmsg" },
	{ 0x768505cc, "__sk_flush_backlog" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x7591eccf, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0x1099fa5a, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x12f400b3, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0x76c9e670, "__alloc_skb" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0x33d2b63a, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x97e84bc4, "tcp_recv_skb" },
	{ 0xff0a14c9, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0xb1963da8, "down_write" },
	{ 0x3c2bdcea, "__traceiter_sk_data_ready" },
	{ 0xcdc645c1, "crypto_req_done" },
	{ 0x498a5a4a, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x646fbd42, "crypto_aead_encrypt" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0xdc506b4b, "bpf_trace_run5" },
	{ 0x303e3659, "sk_free" },
	{ 0xf4c3e4e, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xa5935db5, "__sk_mem_reclaim" },
	{ 0x85bdf5e6, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0xa09e31ce, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x5b193da4, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xf1443079, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53075788, "sk_msg_return_zero" },
	{ 0xca9cd0aa, "mutex_lock_interruptible" },
	{ 0xbf57eaf7, "skb_copy_datagram_iter" },
	{ 0xd2c837fc, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x98be3050, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x6a615710, "sock_efree" },
	{ 0x7791f681, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaf00cd90, "clean_acked_data_disable" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xdcd73f4e, "sk_msg_free_partial" },
	{ 0xd443e8c8, "down_read" },
	{ 0xc8c84d07, "skb_trim" },
	{ 0xa1d4409e, "mutex_trylock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xc9d6b2ad, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd883e9d, "tcp_register_ulp" },
	{ 0x1f05dfe0, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xdc9de87, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x59e553c1, "skb_page_frag_refill" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xae0b8df5, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfc7a2422, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69953b2a, "__folio_put" },
	{ 0x2cc91118, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xa34f490d, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbcfc3ac7, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd9910583, "dst_release" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x7be888a5, "skb_copy_header" },
	{ 0x88ba7038, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb0e8976c, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xba6c7fdd, "netdev_sk_get_lowest_dev" },
	{ 0xdef5ac26, "sk_msg_alloc" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xf2691694, "_copy_from_iter_nocache" },
	{ 0xa3e778de, "tcp_rate_check_app_limited" },
	{ 0xe0b8dbf, "tcp_poll" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0xbe8b718e, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2b9fb8, "skb_to_sgvec" },
	{ 0xaa8a6315, "up_read" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xdc68f662, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x7446872c, "tcp_read_done" },
	{ 0xbc2cabb2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
