#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xe8b3aad1, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x0232877a, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xfd41a194, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xe2dcd8b9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xc0fbfbfd, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x797ac5cc, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x71f0219b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x55929721, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xf42d58a7, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xe952d916, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xd5494a73, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xd0394c44, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x27ad3b4d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xa05652b2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x0c779540, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x35cab015, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xf7a3e540, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x96faf709, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xdd515319, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x5dbe1030, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xcacad499, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x7a91e387, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xaec5f4e9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xacd74053, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x399677da, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x86918bcf, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xba22909a, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xf07ca8e6, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xadcfd8f0, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x75edac0a, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x47e8de85, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xad9d6290, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xcee1c77b, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xfcdec5a6, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xe60338ba, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x200335b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f118eb2, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x66f362fa, "vsock_insert_connected" },
	{ 0xc975225b, "skb_put" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x8e0b7ad2, "vsock_remove_sock" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0xb03922f5, "vsock_deliver_tap" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42a502a, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe336c8b6, "sk_error_report" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0xa6ec3da3, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x76c9e670, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0x303e3659, "sk_free" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x56ee61f5, "__skb_recv_datagram" },
	{ 0xf1443079, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1d47f4d5, "vsock_stream_has_data" },
	{ 0xbf57eaf7, "skb_copy_datagram_iter" },
	{ 0xc1f53e1c, "bpf_trace_run9" },
	{ 0x57d461b0, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6a615710, "sock_efree" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x50bc6588, "bpf_trace_run10" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x21dac489, "vsock_core_get_transport" },
	{ 0xed3becac, "__zerocopy_sg_from_iter" },
	{ 0x63437e05, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x1778a9ed, "skb_set_owner_w" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb0e8976c, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6a361ea, "msg_zerocopy_realloc" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x86b2737, "vsock_create_connected" },
	{ 0x5a2ca226, "vsock_assign_transport" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdc68f662, "iov_iter_npages" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xbc2cabb2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7724946b, "vsock_data_ready" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
