#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21555031, "crypto_skcipher_encrypt" },
	{ 0x84675896, "crypto_alloc_ahash" },
	{ 0xc8e8e83b, "devm_platform_ioremap_resource" },
	{ 0x55efe27c, "param_ops_uint" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0x6c47c85, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4a47d2e9, "crypto_register_aead" },
	{ 0x9ac1039f, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x26520445, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1da9f15c, "crypto_alloc_aead" },
	{ 0xa0761c75, "crypto_aead_setauthsize" },
	{ 0xa4696dd2, "crypto_aead_decrypt" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x38858c9f, "crypto_skcipher_setkey" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0xd4758171, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x94ad942d, "crypto_unregister_ahash" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfbce3335, "crypto_skcipher_decrypt" },
	{ 0x3b259376, "crypto_enqueue_request" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xff0a14c9, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xcd130b62, "crypto_register_skcipher" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0xcdc645c1, "crypto_req_done" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x646fbd42, "crypto_aead_encrypt" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xb9f736d3, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x67253eec, "crypto_unregister_skcipher" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb86bc083, "crypto_ahash_digest" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xf563b0c1, "__platform_driver_register" },
	{ 0x2a452db0, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x374a3cd, "dma_request_chan" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9195d9fc, "dma_set_mask" },
	{ 0x448a593d, "crypto_dequeue_request" },
	{ 0x915e423c, "dma_unmap_sg_attrs" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x815588a6, "clk_enable" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x61e8e6ae, "dma_map_sg_attrs" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc10baf4c, "crypto_alloc_skcipher" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "libdes");

MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.1");
MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.1C*");
MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.4");
MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.4C*");

MODULE_INFO(srcversion, "4654CA74A2D451460BB05BB");
MODULE_INFO(rhelversion, "9.6");
