#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xe6b217f9, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x316c6b93, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x6f26bd37, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x16aa25fb, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x442c0f93, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x306b31e9, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xbd27d3d4, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x65ad2143, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x9975b765, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x1944b323, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x8d224adb, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x44bf6b75, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x43ee70f2, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x861a2fda, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x792f7fc2, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x123158a9, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xfe283d25, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xe18bbecd, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xa3888138, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x0a743cd9, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x5bb3cac0, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x21a6ae94, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x66054c91, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x9da1bcd8, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xa43c3f85, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x922fdb81, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xdee43261, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x00cab40b, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x4c066722, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xb8b81b46, "");
SYMBOL_CRC(drm_dp_aux_init, 0x6e0bf996, "");
SYMBOL_CRC(drm_dp_aux_register, 0x910ebf6e, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x969c8562, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xae16fce6, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x85076b51, "");
SYMBOL_CRC(drm_dp_read_desc, 0x4c0a445c, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x101f665e, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xb661f6b2, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x25944ddc, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x7d1c956d, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x85f854af, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xc417e1cd, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x1f84effc, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x23acf77b, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x56955809, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x1a2e6e79, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xa38ea9d2, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x0d3c967e, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xd674d28c, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x1792e77f, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xf59a5ca9, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x0a7c513d, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x75d90b2c, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x325e74fb, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x93ba8672, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x6c559ddb, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xd4b41f5f, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xfc40fc25, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x2e42d08f, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x8c29f7b3, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xcdb557e8, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xdbda6fa2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xcadd76c9, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x682befd7, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xc3fb7d49, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x6b49fe0c, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x0a0cd766, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x80a33259, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x337bf125, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x454c13e9, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x1a418feb, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x34ce495c, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x46cdbfee, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xd7716bbe, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xa0ac941d, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xa4d11ba6, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x6214723c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xac119916, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x8148bc91, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xc737b6c4, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xd6a1bc22, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x89946ab0, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xe81dc40b, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x35d93df4, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x14c5c8d3, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x01728692, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xa376f0c2, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x9775366c, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xd4c58213, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xed3ba078, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x9d0609ce, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x554fce27, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xbb6d2602, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x345c3c00, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xb0f29d21, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xf95da023, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xae81bfd4, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x9036d352, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x38837a08, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xc4a7a351, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x9d7659cc, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x73603a7e, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x6abcb45d, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0xb14467dd, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xd8c5fbbd, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xc9ab5d09, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x45d0313a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xe565c999, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x6f1ff405, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x93c2f252, "");
SYMBOL_CRC(drm_scdc_read, 0x20a0cff1, "");
SYMBOL_CRC(drm_scdc_write, 0xb5e8ce8e, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x8a760f81, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x846c46f6, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x59a79c14, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xecbd155c, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xcb2dbe66, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xb708e821, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xe29cadd3, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x36f2c99c, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x6e40e306, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeba4cb9, "drm_crtc_add_crc_entry" },
	{ 0xd132d531, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8807ce9c, "_copy_to_iter" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x27e456d5, "idr_find" },
	{ 0x59c968ab, "drm_connector_register" },
	{ 0xc0aeb634, "cec_transmit_attempt_done_ts" },
	{ 0x55efe27c, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0xf3490e6f, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0x9b506e65, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe7168098, "class_destroy" },
	{ 0x14a23733, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xfa00a7b7, "cec_s_conn_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57e6f878, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c77a26d, "prepare_to_wait_event" },
	{ 0xe5d4ce6e, "drm_connector_unregister" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1cac458d, "drm_mode_object_put" },
	{ 0x1c491947, "dev_driver_string" },
	{ 0xf83b07ab, "request_firmware_direct" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xa6ed1cc5, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1dc85826, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x14a695cc, "idr_get_next" },
	{ 0xe22476f0, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x9c3d8911, "drm_dev_printk" },
	{ 0xaed3e154, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x16cdf5ec, "__var_waitqueue" },
	{ 0x93166ab1, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x98bd9e55, "drm_crtc_wait_one_vblank" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0x7315722a, "drm_modeset_lock" },
	{ 0xa608f4a2, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc53949a5, "idr_alloc" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x3f37547d, "device_create" },
	{ 0xf02d4d5a, "class_create" },
	{ 0x4ae023c8, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xde9f7e63, "fixed_size_llseek" },
	{ 0x73d28c0a, "drm_crtc_commit_wait" },
	{ 0x878bd498, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa3491eeb, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x289429a1, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x6fa968f, "drm_atomic_get_old_private_obj_state" },
	{ 0xf8c78bac, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xdcb764ad, "memset" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5f3e2dd3, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa1d4409e, "mutex_trylock" },
	{ 0x91cca566, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x44191611, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6906c73, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe2f437b8, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfced4756, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3444ebd7, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x688d5509, "i2c_transfer" },
	{ 0xca4adcfa, "drm_display_mode_from_cea_vic" },
	{ 0x23e62471, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3da60a9e, "cec_fill_conn_info_from_drm" },
	{ 0x3b454d2e, "drm_sysfs_connector_property_event" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xbd251c62, "cec_received_msg_ts" },
	{ 0x2605b225, "param_ops_int" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xb473e695, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xb3668fc1, "drm_atomic_get_connector_state" },
	{ 0x8618e5a, "drm_edid_get_monitor_name" },
	{ 0xa758aa16, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x70ad487, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "558CFA9D0738B2C2B9B01C6");
MODULE_INFO(rhelversion, "9.6");
