#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x2140d424, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xbf29001e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xf0af5d74, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x875071e2, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xcc34a853, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x1be3d001, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x33d2b5eb, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x1ede64f1, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xac00b9d0, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xd054123c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x7e263152, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xfa2816f6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x73579701, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x90cf4a48, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x101500c4, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x7e17cbe6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde6700e2, "vmf_insert_pfn" },
	{ 0x8af757de, "ww_mutex_lock_interruptible" },
	{ 0xb0cc88c3, "drm_gem_get_pages" },
	{ 0x87fd0342, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x39d1be99, "invalidate_mapping_pages" },
	{ 0xce09c0eb, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd2e11bb3, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x3b2a70c4, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b035b08, "drm_gem_create_mmap_offset" },
	{ 0x50a1439e, "drm_gem_object_init" },
	{ 0x1c491947, "dev_driver_string" },
	{ 0x50e93125, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe559b7d6, "drm_gem_vm_close" },
	{ 0x6f1f86f4, "drm_gem_vm_open" },
	{ 0xb1963da8, "down_write" },
	{ 0x498a5a4a, "up_write" },
	{ 0x86d42cdb, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xc67de29d, "ww_mutex_lock" },
	{ 0x9f1e0e68, "vmap" },
	{ 0xfce80a4b, "drm_gem_handle_create" },
	{ 0xf8c78bac, "__drm_dev_dbg" },
	{ 0x69b7075, "drm_prime_pages_to_sg" },
	{ 0x742d7b5a, "dma_buf_vunmap" },
	{ 0x51415a65, "shmem_truncate_range" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xf6b2ef45, "dma_map_sgtable" },
	{ 0x39a6f779, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x915e423c, "dma_unmap_sg_attrs" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x3c12e23a, "drm_gem_put_pages" },
	{ 0xa7de5e91, "drm_gem_private_object_fini" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x310af0f, "drm_prime_gem_destroy" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.6");
