#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(__media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xafc9339a, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x4b158916, "_gpl");
SYMBOL_CRC(media_device_init, 0x6607de2b, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xf5557839, "_gpl");
SYMBOL_CRC(__media_device_register, 0xe62bee97, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x23382e9f, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xcefbbccb, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x7f00907c, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xdd4fab33, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x43015e17, "_gpl");
SYMBOL_CRC(__media_entity_enum_init, 0xfc781c47, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x83286cca, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x72799cea, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xff97a7be, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x1788fbc1, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xd14ccadf, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xcb3fa61c, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x11386ce9, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x33249df5, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xa87cb538, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xc7f1e6f8, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x9a6565dc, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xd533241c, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x4e278ae5, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xd97db554, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xeb9efc00, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x0b4e54bd, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x9e0511dd, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x47115b75, "_gpl");
SYMBOL_CRC(media_entity_remote_pad, 0x06006a23, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xebefdd0d, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xf75aeb29, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xe96500f8, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x6bb6b73e, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xf0bdf8dd, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x20426420, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x4c761284, "_gpl");
SYMBOL_CRC(media_request_put, 0x69f9d9af, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x19879e0c, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x1bf6bf1a, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x77c12a42, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xb475fee7, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x7f4397e0, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x8b893eb1, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xff51d899, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x9ecb1cac, "_gpl");
SYMBOL_CRC(media_device_delete, 0x5300a78f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5fe9f62a, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8964ad1e, "ida_destroy" },
	{ 0x6ef0134b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9f304de0, "cdev_device_del" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xe0d89ce7, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x31c15ae4, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xf0b96427, "get_device" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xbd11c3f3, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbf5be44b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa80d202f, "fwnode_graph_parse_endpoint" },
	{ 0xc693c621, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x67449880, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x354bbb68, "bus_unregister" },
	{ 0x91299119, "fput" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xa7155622, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x2871fee2, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x482d0259, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x188fd134, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xfc0d4ed5, "device_remove_file" },
	{ 0xfa10d6e4, "bus_register" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "373ED697869FCA823871C11");
MODULE_INFO(rhelversion, "9.6");
