#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0xcc4e360a, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x6f1bd143, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xb493825a, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x5f504261, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x5b21174f, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x1d1790c6, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xa083a0a0, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xbc61057c, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xc85d9b21, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xdbab4692, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xe0ceffda, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0xcce6627f, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xdc0fc68c, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x152ef7c4, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4cec6ff4, "__init_rwsem" },
	{ 0xc035b794, "misc_deregister" },
	{ 0xb1e7f1b9, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x6ef0134b, "dev_set_name" },
	{ 0x9bdf07e1, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9f304de0, "cdev_device_del" },
	{ 0xc1bca64, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xe0d89ce7, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x3b56867b, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8329478e, "kmem_cache_create" },
	{ 0xf0b96427, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x45461a22, "get_mtd_device_nm" },
	{ 0xef35f4de, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9d1946ee, "blocking_notifier_chain_register" },
	{ 0x90015f5a, "get_mtd_device" },
	{ 0x14e8ef43, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xbd11c3f3, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x3985f3cc, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbf5be44b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xaf010c88, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc693c621, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87cc0882, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x63773202, "mtd_block_markbad" },
	{ 0xb1963da8, "down_write" },
	{ 0x498a5a4a, "up_write" },
	{ 0xa58cdb8f, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xf144e9fa, "kmem_cache_free" },
	{ 0x432e237f, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xde9f7e63, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf80b68f7, "put_mtd_device" },
	{ 0x66e7d86c, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6cf6e379, "mtd_read" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf94917ae, "kthread_stop" },
	{ 0xf9866996, "freezing_slow_path" },
	{ 0xc7021a60, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xabdc17bd, "kern_path" },
	{ 0xf22e7abb, "misc_register" },
	{ 0xece784c2, "rb_first" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x9d57472c, "mtd_erase" },
	{ 0x18e204e4, "down_write_trylock" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xfc28e1fa, "kthread_create_on_node" },
	{ 0x30ab494e, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaee8ee67, "mtd_write" },
	{ 0xe0baf670, "debugfs_create_file" },
	{ 0xe89e9494, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x2f6bd4fa, "mtd_get_device_size" },
	{ 0x23e62471, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf23f974f, "seq_open" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x79e10d27, "debugfs_create_dir" },
	{ 0x66a6698e, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xaa8a6315, "up_read" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x4b125b16, "class_register" },
	{ 0x188fd134, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xe55ca9ce, "cdev_del" },
	{ 0xd2506b37, "kmem_cache_destroy" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18E06EF4ACF2803F0FC3B3A");
MODULE_INFO(rhelversion, "9.6");
