#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xfd26c984, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x76d2b9ae, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x6ca0dd24, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x823d3b49, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x5bbc4091, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x03588379, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cc7e44b, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x2abf43e4, "xsk_tx_completed" },
	{ 0xe749cf7a, "napi_alloc_skb" },
	{ 0x3ddecfe8, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x21cb6c5d, "xp_alloc" },
	{ 0x9a165e41, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd42d2c43, "bpf_prog_put" },
	{ 0x8cdb0815, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x86b803db, "xp_dma_map" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x5253acc1, "devm_kmalloc" },
	{ 0x1c1a6aeb, "eth_mac_addr" },
	{ 0xc975225b, "skb_put" },
	{ 0x916e485d, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa53e2320, "netdev_update_features" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x37567b11, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64f597b7, "hrtimer_try_to_cancel" },
	{ 0x2498cebc, "bpf_warn_invalid_xdp_action" },
	{ 0x7d195595, "unregister_netdev" },
	{ 0xcae18b85, "xdp_convert_zc_to_xdp_frame" },
	{ 0xdda62bcc, "xdp_features_set_redirect_target" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x9d07d809, "gpiod_set_value_cansleep" },
	{ 0xd3c34d9a, "dma_unmap_page_attrs" },
	{ 0xb1fbd0ef, "hrtimer_init" },
	{ 0x3ec8baf6, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x4d3ea1b7, "ptp_clock_index" },
	{ 0xabdbd6ac, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b56867b, "seq_lseek" },
	{ 0x8bb27da4, "page_pool_destroy" },
	{ 0xeceaefc3, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b39d3e7, "netdev_warn" },
	{ 0xfae9654f, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x49b3cc7, "flow_rule_match_ipv4_addrs" },
	{ 0xffa0ef59, "xdp_rxq_info_unreg_mem_model" },
	{ 0xf4647042, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbffaf839, "netdev_err" },
	{ 0x76f2f0e6, "phylink_limit_mac_speed" },
	{ 0xe9ef2efb, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x1c491947, "dev_driver_string" },
	{ 0xda0012c7, "pinctrl_pm_select_default_state" },
	{ 0xfbc687c7, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x86fd5462, "eth_type_trans" },
	{ 0xa1d4ad49, "__pm_runtime_set_status" },
	{ 0xf6db4f85, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xfbee2316, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x49c3c069, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdca52f0c, "pm_wakeup_dev_event" },
	{ 0xf2f491dd, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa5275a9f, "__napi_schedule" },
	{ 0x591f79d2, "pm_runtime_enable" },
	{ 0xb20ff9b0, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xb34d290a, "netif_device_detach" },
	{ 0x96adf6dc, "device_property_read_u32_array" },
	{ 0xe7092f2, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0x772f69a8, "_dev_info" },
	{ 0x95ba5760, "xpcs_create_mdiodev" },
	{ 0xd0b36d15, "napi_gro_receive" },
	{ 0x113975, "netif_device_attach" },
	{ 0xe12d432f, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x1de8f8fe, "netdev_pick_tx" },
	{ 0xaa7363f3, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd39f423, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1f3f7aab, "xdp_rxq_info_is_reg" },
	{ 0x33a475be, "devm_alloc_etherdev_mqs" },
	{ 0xced9c718, "flow_block_cb_setup_simple" },
	{ 0xb6551f5a, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xe28ce084, "dev_open" },
	{ 0xdbb4c235, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x7a1804db, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xaba11b1d, "pinctrl_pm_select_sleep_state" },
	{ 0xd1844e36, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x730693f8, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1f9f780e, "ptp_clock_register" },
	{ 0xa9e7c24f, "xp_dma_sync_for_cpu_slow" },
	{ 0xc23da2a4, "xsk_tx_peek_desc" },
	{ 0x125044ba, "__of_mdiobus_register" },
	{ 0xff12cffb, "__traceiter_xdp_exception" },
	{ 0xc549d762, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x10c0a4c9, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xf3d3cb4d, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x6814da43, "dma_alloc_attrs" },
	{ 0x432e237f, "debugfs_remove" },
	{ 0x7abe5575, "napi_enable" },
	{ 0xc6d8b75e, "xsk_clear_rx_need_wakeup" },
	{ 0xb872b49f, "xpcs_get_interfaces" },
	{ 0xa0541525, "xsk_uses_need_wakeup" },
	{ 0x592e326a, "register_netdev" },
	{ 0x6e20ff17, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x78dc584d, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x4e5cc8d9, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x718008bb, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xc6703167, "netif_tx_wake_queue" },
	{ 0xa4f5a863, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x59a8d506, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x2871fee2, "_dev_warn" },
	{ 0x9d315885, "flow_rule_match_ports" },
	{ 0xcb1cf2f0, "phylink_fwnode_phy_connect" },
	{ 0xfecab496, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9fc2d205, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xdd89dd3d, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3a85b2fd, "fwnode_get_named_child_node" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x1e90134f, "ptp_clock_unregister" },
	{ 0x333eafb6, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xa2a4088, "xpcs_get_an_mode" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe555e99d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe1b0abeb, "xdp_return_frame_rx_napi" },
	{ 0x89de4b4a, "netdev_alert" },
	{ 0x2a452db0, "dma_set_coherent_mask" },
	{ 0x30ab494e, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x9b929e2c, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0xc17a054, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe0baf670, "debugfs_create_file" },
	{ 0x6936e2e5, "xsk_set_tx_need_wakeup" },
	{ 0x1ffdec63, "dma_free_attrs" },
	{ 0x2154214c, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x77bf0e9a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf4e66b9, "xp_set_rxq_info" },
	{ 0x909b4eb1, "flow_rule_match_vlan" },
	{ 0x903b81ba, "xdp_rxq_info_unreg" },
	{ 0xe8694fc6, "page_pool_alloc_pages" },
	{ 0x7951566e, "__xdp_rxq_info_reg" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x162864f7, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x43511c52, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe8b9fdcc, "netif_carrier_on" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2493631, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x4a682ba9, "xp_free" },
	{ 0x31bd5a81, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9195d9fc, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xad278761, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xdf3c0124, "xdp_master_redirect" },
	{ 0x58c2648d, "fwnode_handle_put" },
	{ 0xdebc62a6, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xd0b70aa8, "napi_schedule_prep" },
	{ 0x2ed86ca1, "napi_disable" },
	{ 0x2f7f9d97, "dev_kfree_skb_any_reason" },
	{ 0x5fd716db, "eth_header_parse_protocol" },
	{ 0x2605b225, "param_ops_int" },
	{ 0xe0d4f25d, "single_open" },
	{ 0xae004620, "__pm_runtime_disable" },
	{ 0x79e10d27, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x221e2ddb, "skb_clone_tx_timestamp" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x28c0ee52, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbcff5320, "ethtool_op_get_ts_info" },
	{ 0xcbf7df00, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd654554, "__dev_fwnode" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x2d482b5c, "netdev_info" },
	{ 0xa6efaf3e, "page_pool_put_unrefed_page" },
	{ 0x9ef2a142, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "2BBB73C3BC82288040E2149");
MODULE_INFO(rhelversion, "9.6");
