#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x69adee2f, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xbd5621d4, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x88bd0061, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xa4bfb45a, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x6e5fafa6, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x8d2b3fdc, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x72730b5b, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xb46471a1, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xa52e3e8b, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x7771fd9a, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x4f384a8a, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xc8654678, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x0d4e7c50, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x5cbf0309, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x0af240de, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x2097482c, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x170669db, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x82a9d73c, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x6e21ef79, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xa3b8fde8, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x1bbef764, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ae2e57c, "mdiobus_write" },
	{ 0xf41ce830, "mdiobus_read" },
	{ 0x5334097f, "phy_write_mmd" },
	{ 0xd4ae205a, "phy_modify" },
	{ 0x1e0c5a07, "phy_trigger_machine" },
	{ 0xb0ced9c1, "phy_error" },
	{ 0xc4ddb05a, "phy_modify_changed" },
	{ 0x827ccb52, "genphy_update_link" },
	{ 0xd9c7b6d9, "genphy_read_lpa" },
	{ 0xa41ab6e7, "phy_resolve_aneg_pause" },
	{ 0xbdf44378, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x7d3264d9, "phy_read_mmd" },
	{ 0x71a0efb3, "ethnl_cable_test_result" },
	{ 0xe5e4eca1, "ethnl_cable_test_fault_length" },
	{ 0x165fa6c5, "phy_modify_mmd" },
	{ 0xe12cf738, "genphy_soft_reset" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
