#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x7c107374, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x2dd6d2b2, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xff7e2777, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xb35cd816, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xf2ac4c40, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x96889bd5, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xbe17838f, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x45cd3a24, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x64998205, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x743ef760, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x6d538dbc, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x7655b389, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x78477b6b, "_gpl");
SYMBOL_CRC(usbnet_open, 0x20851ae0, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x4c05f102, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xba924b81, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x0049f27e, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x098b3381, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x81e862bb, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xc099d274, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xe2945e77, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x2335c41e, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6fb75439, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xbfb048ca, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x0bcf1c8f, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xb4a96da9, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x25dae256, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x6c7b1b11, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x414733b4, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x0f6993ee, "");
SYMBOL_CRC(usbnet_manage_power, 0x81f6fb5a, "");
SYMBOL_CRC(usbnet_link_change, 0x5bc8f6c9, "");
SYMBOL_CRC(usbnet_read_cmd, 0x188602d8, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x82fccdd4, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x2488cfb5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x86f14006, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x2ac11002, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x921f96c1, "usb_set_interface" },
	{ 0x5b75b774, "usb_string" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe555e99d, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1c4947ef, "skb_queue_purge_reason" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x5fa38ca1, "usb_get_urb" },
	{ 0x3241da54, "usb_unlink_urb" },
	{ 0xab43cb66, "usb_free_urb" },
	{ 0x42953aa3, "usb_submit_urb" },
	{ 0xbffaf839, "netdev_err" },
	{ 0xc14d083d, "mii_ethtool_get_link_ksettings" },
	{ 0xf707fdd4, "mii_ethtool_set_link_ksettings" },
	{ 0x51721248, "mii_nway_restart" },
	{ 0x4e6fe186, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d195595, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8f950fce, "usb_scuttle_anchored_urbs" },
	{ 0x7c905fa7, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8f7e14e3, "free_netdev" },
	{ 0x2d482b5c, "netdev_info" },
	{ 0xe8b9fdcc, "netif_carrier_on" },
	{ 0x162864f7, "netif_carrier_off" },
	{ 0xc6916cab, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xaae8a76a, "usb_autopm_get_interface" },
	{ 0xc036201, "usb_autopm_put_interface" },
	{ 0x2ecf6c1d, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x18922115, "mii_link_ok" },
	{ 0x718008bb, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x42a502a, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb0e8976c, "remove_wait_queue" },
	{ 0xb34d290a, "netif_device_detach" },
	{ 0x113975, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5a5033c3, "skb_defer_rx_timestamp" },
	{ 0x2080d5b, "netif_rx" },
	{ 0x86fd5462, "eth_type_trans" },
	{ 0x7ad45a23, "skb_queue_tail" },
	{ 0x26d2df6c, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x592e326a, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x591f79d2, "pm_runtime_enable" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x25f2521e, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x221e2ddb, "skb_clone_tx_timestamp" },
	{ 0xd1229e5f, "usb_autopm_get_interface_async" },
	{ 0x2f7f9d97, "dev_kfree_skb_any_reason" },
	{ 0x916e485d, "skb_tstamp_tx" },
	{ 0xc038eb79, "usb_anchor_urb" },
	{ 0x677f0c5f, "__netdev_alloc_skb" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0xc6703167, "netif_tx_wake_queue" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xd48229a2, "usb_autopm_get_interface_no_resume" },
	{ 0x42db8388, "usb_get_from_anchor" },
	{ 0xc975225b, "skb_put" },
	{ 0xa65df3bc, "usb_clear_halt" },
	{ 0x1c1a6aeb, "eth_mac_addr" },
	{ 0x2d92949d, "eth_validate_addr" },
	{ 0x555a8b19, "dev_get_tstats64" },
	{ 0xbcff5320, "ethtool_op_get_ts_info" },
	{ 0x2605b225, "param_ops_int" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
