#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xe219faac, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x7fd29962, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x051a9604, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x8717feb9, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x9abec8fc, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xb8cf3587, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xfed5a48d, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x93e555db, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x50da866b, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x6723e84f, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xb1dc6c52, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97bec4bc, "filp_open" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0xa1395bd9, "bdev_file_open_by_path" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0xe13bdd61, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8964ad1e, "ida_destroy" },
	{ 0x9e90c1e6, "config_group_init" },
	{ 0x1a7d7bc1, "config_group_find_item" },
	{ 0x368a5d33, "radix_tree_insert" },
	{ 0x8bf4fdc4, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7fedd62a, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9d109e7d, "radix_tree_lookup" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x25298eb3, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7eb10852, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x50bc404c, "pci_p2pmem_free_sgl" },
	{ 0x8329478e, "kmem_cache_create" },
	{ 0xf0b96427, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b4b8075, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9599bda0, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xebb27773, "mempool_create" },
	{ 0xe7ee0a74, "crypto_alloc_kpp" },
	{ 0x6daf504d, "vfs_fallocate" },
	{ 0x77016352, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xbf5be44b, "put_device" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x9fdc6237, "mempool_alloc" },
	{ 0xa21ff706, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0xa3d3bd8b, "submit_bio" },
	{ 0xc693c621, "module_put" },
	{ 0x6fc2955, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbc04578c, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9492bb4a, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x9b6a88d5, "bio_put" },
	{ 0x38cd5f0f, "radix_tree_delete" },
	{ 0xe67a2351, "bio_endio" },
	{ 0x479e2a2a, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0x91299119, "fput" },
	{ 0xb1963da8, "down_write" },
	{ 0x498a5a4a, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x49d3f6b7, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc633fd14, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xbb9c39d1, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x484b360d, "xa_load" },
	{ 0xae1aa869, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x39c156c0, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x23f1f495, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5c732c00, "bio_chain" },
	{ 0xa7155622, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf12b94bd, "pci_p2pdma_enable_store" },
	{ 0x9e6b9f93, "pci_p2pmem_alloc_sgl" },
	{ 0xfbbc3ef3, "bio_add_page" },
	{ 0x1723ae0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x76f3be71, "bio_integrity_alloc" },
	{ 0x6d4c553b, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd2c837fc, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xce67f94c, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xc898b39a, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x927f6137, "pci_p2pdma_enable_show" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xb1ab7264, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1cab6640, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0xfea6a997, "crypto_shash_final" },
	{ 0x4af5c7ed, "vfs_fsync" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5a01aba2, "xa_destroy" },
	{ 0x762efd57, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x12c2b0a0, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x354128e2, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0xedcdf791, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe14aca14, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x954ffd6b, "xa_find_after" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa28309a, "pci_p2pmem_find_many" },
	{ 0x8eef1a47, "crypto_alloc_shash" },
	{ 0x217962c, "nvme_auth_gen_privkey" },
	{ 0xc1290c08, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaa8a6315, "up_read" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x36cc070, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x6add9fbb, "submit_bio_wait" },
	{ 0xa8da77d2, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xc2a13e7c, "__blkdev_issue_discard" },
	{ 0x253b3a66, "fs_bio_set" },
	{ 0xb768e197, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd2506b37, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "0961C9271D149831EEF63D0");
MODULE_INFO(rhelversion, "9.6");
