#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x84f904a6, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x7dd09747, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x479724e0, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x8ac2cd08, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x9ea71175, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x119f3b88, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xba18fa91, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x5652ff35, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x00e13c61, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xab95e477, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xccc3d7d1, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x2070cc7c, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xf1411a7f, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xe0362b20, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x288b5e43, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xfe460fe7, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xa9e8227c, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x9a440aaa, "");
SYMBOL_CRC(vhost_chr_poll, 0x5da8057e, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xc996099c, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x8c5ecbad, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xe593a269, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x775d25ea, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x49ab30e5, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x5d7c1fe4, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x68af0089, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xe20ba6a7, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x3ab93fe3, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xfc4db83b, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xa0f32f08, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x31826ab5, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x1ec36542, "_gpl");
SYMBOL_CRC(vhost_signal, 0xf5595d01, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x54b0e777, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x511d8278, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0xc802f417, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xb343455a, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x23441f72, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xdf2456d1, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x47b8d6d7, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x99b9258c, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xc18bf89e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x42a502a, "add_wait_queue" },
	{ 0xb0e8976c, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x14e8ef43, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0xb6997c6c, "cgroup_attach_task_all" },
	{ 0x72b6c235, "mmput" },
	{ 0x7c4a167a, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0xe33f693c, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x168d184b, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x516f9ca7, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x49248878, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x91299119, "fput" },
	{ 0xf94917ae, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2710510e, "iov_iter_init" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8807ce9c, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x486cee79, "prepare_to_wait" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15613da3, "get_task_mm" },
	{ 0xfc28e1fa, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xa4203767, "iov_iter_advance" },
	{ 0xbc7f2b59, "eventfd_fget" },
	{ 0x2605b225, "param_ops_int" },
	{ 0x39479099, "param_ops_ushort" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
