#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xccc4b122, "");
SYMBOL_CRC(w1_remove_master_device, 0xd267c2d0, "");
SYMBOL_CRC(w1_register_family, 0x2c7e182e, "");
SYMBOL_CRC(w1_unregister_family, 0x7a9349f8, "");
SYMBOL_CRC(w1_touch_bit, 0x187c5cbd, "_gpl");
SYMBOL_CRC(w1_write_8, 0x5974d542, "_gpl");
SYMBOL_CRC(w1_triplet, 0x825e7d24, "_gpl");
SYMBOL_CRC(w1_read_8, 0x0c5a459a, "_gpl");
SYMBOL_CRC(w1_write_block, 0x8f99eb07, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x88f1c5a7, "_gpl");
SYMBOL_CRC(w1_read_block, 0x4fbd860e, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x09e10c99, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x6be7ae41, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x06f583f8, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x56036443, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6ef0134b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc1bca64, "device_unregister" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xb054514c, "sysfs_remove_groups" },
	{ 0x5abe7bf5, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x55dd93f2, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x14e8ef43, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf5be44b, "put_device" },
	{ 0x772f69a8, "_dev_info" },
	{ 0x214a5d97, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x354bbb68, "bus_unregister" },
	{ 0xbdc82baf, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x1d8106b4, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0x8ca6ef87, "driver_unregister" },
	{ 0x99b62797, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf94917ae, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xc7021a60, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x2871fee2, "_dev_warn" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xfc28e1fa, "kthread_create_on_node" },
	{ 0x12c45b3f, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x9aca7468, "kobject_uevent" },
	{ 0xc5a50fa0, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2605b225, "param_ops_int" },
	{ 0x2a8a4aa0, "of_find_matching_node_and_match" },
	{ 0x3605489c, "driver_register" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfa10d6e4, "bus_register" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.6");
