#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x91faf458, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xb3092f18, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xabf9d541, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x97efc541, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x6b169171, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x7c96b663, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xa7b25991, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x6ca346d2, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x88b2ee72, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x53a184af, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x8a454244, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x12be0c23, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x34ece01b, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xa96bc101, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x64cc4f51, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0xc439cd8d, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x8e0694a3, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x5d7e7319, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x9f190665, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x72472c2a, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xed1bea98, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x30727e63, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x4ddaa8c1, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xea45deb5, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x2edeb561, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xe8c4291a, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x2bc1d652, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x8daafb9f, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x072de359, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x1491e662, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x88e85aa6, "_gpl");
SYMBOL_CRC(nfs_create, 0x8ec41099, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xaeb0f412, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x0c35cab5, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x0ee15834, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x1c697f8d, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xc58504a4, "_gpl");
SYMBOL_CRC(nfs_link, 0xa6085e61, "_gpl");
SYMBOL_CRC(nfs_rename, 0xefa924e7, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x675c2683, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xc7c921f2, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xc5c7e54b, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x3b294058, "_gpl");
SYMBOL_CRC(nfs_permission, 0xcad89555, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x19c905a9, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xe15bac5d, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xc2b3af3c, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xa65c5f39, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x82535770, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xa4cb2e8c, "_gpl");
SYMBOL_CRC(nfs_lock, 0x90c20385, "_gpl");
SYMBOL_CRC(nfs_flock, 0xf3941f1a, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xe6042c6d, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x6078d166, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xc9360e40, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x95ecef0e, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xc0f5b721, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x5da61a82, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x18a9407c, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xc2d75980, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x6e847fe8, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x73382f4a, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x44c4a8e7, "_gpl");
SYMBOL_CRC(nfs_setattr, 0xca034ddb, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xa3f1c576, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x72305ab5, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x4bd7625b, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xee19391f, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x0af66446, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xcedb6cf3, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x1046947c, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xc73143f8, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x1856005a, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xa7cca40d, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x7bf71acf, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x661ffd17, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x01c7a83d, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x9c31c2b2, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xf3b5166a, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x41c37047, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x04d990f5, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x0b7305a8, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x11647765, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xd019663a, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xb5aecf84, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x5d728e4c, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x27dc476a, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x27cd5504, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xdfb2358e, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xe49298c6, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x7a20d147, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xbcc7fbe7, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x98d36d56, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x0cc42713, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xb0673c60, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x3547c9d8, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x9e3dd36c, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x560d993b, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xd630771b, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0xfd57bea8, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x9142ceab, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xdf7eea36, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x2bf7993b, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x4d253970, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0xba2398fa, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x9f21d4ee, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0xa630ae73, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x64a408bc, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xa7348cae, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0xcec440d3, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x5d9624a5, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xb637addc, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xf143c9ec, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x7ca87afd, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x7f4f9615, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xc644b7a1, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xcb5ff80d, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x055ec592, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x10eefd06, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xebe75747, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x4a6469b1, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xfca70a3f, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x5610abf3, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xdbbdd4d4, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x8424b485, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x1be68d89, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x8616c8f9, "_gpl");
SYMBOL_CRC(nfs_path, 0xb641badb, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xfef5ed06, "_gpl");
SYMBOL_CRC(nfs_submount, 0x999b44fd, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xb5176e70, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xf7d17f6a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x07a04968, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x7f18fb61, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x4bff462f, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x87e9fbc5, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0xbccf8df4, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xbbc37771, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x3dcb07b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe933c25a, "rpc_put_task" },
	{ 0x5a802eb8, "super_setup_bdi_name" },
	{ 0xf47a1db9, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1eb19d1d, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d8ceb3f, "generic_fillattr" },
	{ 0x574d490f, "vfs_fsync_range" },
	{ 0x70b9dbbf, "ida_alloc_range" },
	{ 0xd057c76f, "clear_nlink" },
	{ 0xc1697163, "file_check_and_advance_wb_err" },
	{ 0x9931d5a4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x99524470, "d_alloc_parallel" },
	{ 0x38af8390, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4cec6ff4, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xaabf26e, "clear_inode" },
	{ 0x3197b0d7, "inode_to_bdi" },
	{ 0x27217bff, "bpf_trace_run4" },
	{ 0xdf2cb893, "__fscache_acquire_volume" },
	{ 0x8964ad1e, "ida_destroy" },
	{ 0x6e5f0ac1, "param_ops_ulong" },
	{ 0xc7eaac68, "proc_dointvec_jiffies" },
	{ 0x9514ebd8, "rpc_proc_register" },
	{ 0xadcc41b1, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x56623322, "sysfs_create_file_ns" },
	{ 0x590a97a0, "rpc_shutdown_client" },
	{ 0x309743f, "fs_param_is_string" },
	{ 0x13715fa4, "folio_unlock" },
	{ 0xc7faea7d, "mnt_set_expiry" },
	{ 0x39479099, "param_ops_ushort" },
	{ 0xfad4b00, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb31afc88, "generic_file_splice_read" },
	{ 0x8af1389c, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xda8d7b97, "filemap_map_pages" },
	{ 0x8d088f57, "__fscache_begin_read_operation" },
	{ 0x6c54d6cf, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0xa139c55d, "kobject_rename" },
	{ 0xf8097621, "security_sb_set_mnt_opts" },
	{ 0x381c6bae, "init_special_inode" },
	{ 0x52806a48, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x970fea54, "filemap_fdatawrite_range" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xcd23f110, "folio_wait_bit_killable" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0x27cd662d, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xaa44eb71, "d_make_root" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x94990dbf, "sync_filesystem" },
	{ 0xd5ed87a7, "__fscache_unuse_cookie" },
	{ 0x2673ee1a, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0xe1f45d5a, "sget_fc" },
	{ 0xc297013, "d_splice_alias" },
	{ 0xa2df37e, "generic_error_remove_page" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd2e11bb3, "unmap_mapping_range" },
	{ 0x96fe3f38, "ihold" },
	{ 0x149697c3, "inode_dio_wait" },
	{ 0xa2096c67, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x5241b9a6, "invalidate_inode_pages2_range" },
	{ 0x27624edf, "read_cache_page" },
	{ 0x5f86033f, "finish_open" },
	{ 0xc20d1863, "iput" },
	{ 0xed9f9af7, "kset_unregister" },
	{ 0xf1b5b0df, "security_sb_clone_mnt_opts" },
	{ 0x3f2bcf4, "fs_param_is_enum" },
	{ 0xb5bd10, "logfc" },
	{ 0xe83dfc66, "__put_devmap_managed_page_refs" },
	{ 0x830bd173, "iter_file_splice_write" },
	{ 0x36ce5911, "rpc_pton" },
	{ 0xce88c325, "mod_node_page_state" },
	{ 0x2cceec33, "rpc_wake_up_queued_task" },
	{ 0x7eb10852, "bpf_trace_run2" },
	{ 0x7c77a26d, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x34e17e04, "remove_proc_subtree" },
	{ 0xd141e9ea, "rpc_restart_call_prepare" },
	{ 0xbba6a5b1, "d_lookup" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6bc80e6, "__module_get" },
	{ 0xf5df5299, "__fscache_relinquish_cookie" },
	{ 0x73771d03, "register_filesystem" },
	{ 0x8329478e, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf3c05bb4, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3b4b8075, "mempool_free" },
	{ 0xa71170aa, "filemap_add_folio" },
	{ 0xad6fe494, "rpc_sleep_on" },
	{ 0xbf3d74dc, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6fcc595f, "netfs_readahead" },
	{ 0x1db763e7, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xec59a05c, "d_prune_aliases" },
	{ 0xe2dcf271, "__put_cred" },
	{ 0xd2b1cc77, "register_pernet_subsys" },
	{ 0x7728b9ab, "swapcache_mapping" },
	{ 0xecd25749, "rpc_cancel_tasks" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xc8caf30e, "migrate_folio" },
	{ 0x186808d8, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc81c8617, "fs_param_is_u32" },
	{ 0x49aad205, "inode_newsize_ok" },
	{ 0x7b50b84d, "d_drop" },
	{ 0x3e56ae86, "deactivate_super" },
	{ 0x1e715b74, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xebb27773, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x102de054, "security_sb_mnt_opts_compat" },
	{ 0x7ff37fdd, "param_get_uint" },
	{ 0x4c431b02, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3596b971, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0x875cad6f, "make_kuid" },
	{ 0x8e5ecd7e, "truncate_inode_pages_final" },
	{ 0x8f7d8620, "d_alloc" },
	{ 0xdd069452, "fs_kobj" },
	{ 0x9f9b7d83, "net_ns_type_operations" },
	{ 0xf6a5148, "__filemap_set_wb_err" },
	{ 0x61757f92, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x52aaa935, "generic_perform_write" },
	{ 0x5f6c0e9e, "__filemap_get_folio" },
	{ 0x9fdc6237, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x983117a2, "simple_nosetlease" },
	{ 0xaf010c88, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc693c621, "module_put" },
	{ 0x16cdf5ec, "__var_waitqueue" },
	{ 0xb4edfd4e, "rpc_setbufsize" },
	{ 0xee7284e1, "fs_context_for_submount" },
	{ 0x850eae74, "inode_init_once" },
	{ 0xd7a4bf14, "folio_wait_private_2" },
	{ 0xbe3c6c82, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0xf801faf2, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x578109b2, "ilookup5" },
	{ 0x90a1ca25, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde5c0254, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0xa4edb1ba, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0xb1963da8, "down_write" },
	{ 0x97a7a420, "init_net" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x498a5a4a, "up_write" },
	{ 0xf7c1b62f, "generic_file_read_iter" },
	{ 0x80fbd18, "unlock_page" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xd676962a, "rpc_clone_client_set_auth" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa5fdb38a, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd917e06e, "put_fs_context" },
	{ 0x42f101b5, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa8b36302, "kobj_sysfs_ops" },
	{ 0x484b360d, "xa_load" },
	{ 0xdc506b4b, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xac47fdd7, "write_cache_pages" },
	{ 0xa8286afe, "set_nlink" },
	{ 0xebcdc194, "mutex_lock" },
	{ 0xf144e9fa, "kmem_cache_free" },
	{ 0xbd93536c, "rpc_max_payload" },
	{ 0x8f42b031, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xa0a0c9ca, "d_move" },
	{ 0x646c4456, "seq_putc" },
	{ 0xc952ed2f, "rpc_proc_unregister" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8c477b7f, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x9657b67f, "folio_wait_writeback" },
	{ 0xa7155622, "ida_free" },
	{ 0xe8ba839a, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xfdc416ed, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf1c2cd2, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdb7ffb0c, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xaf405ef4, "rpc_create" },
	{ 0x8cdf44a0, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2778e480, "__folio_start_writeback" },
	{ 0x14c7faa1, "d_obtain_root" },
	{ 0xd2c837fc, "bpf_trace_run1" },
	{ 0x3955549a, "param_ops_short" },
	{ 0x33e1dc, "idr_destroy" },
	{ 0x67feac97, "folio_end_writeback" },
	{ 0xe6127b63, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc965a44b, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x55b40668, "rpc_put_task_async" },
	{ 0x98be3050, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x491deac, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x1277eb5, "rpc_exit" },
	{ 0x27f6f983, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x3e9f00d7, "d_delete" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x3c7a5e62, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x5cfaf2fa, "nfs_ssc_unregister" },
	{ 0xa81d6f61, "rpc_killall_tasks" },
	{ 0xd443e8c8, "down_read" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x95292b39, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4262fbe8, "iov_iter_get_pages_alloc2" },
	{ 0x10eff6a8, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1f05dfe0, "bpf_trace_run3" },
	{ 0x2498e6c, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3bcd036e, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x64068072, "generic_read_dir" },
	{ 0x73c0b2a3, "kobject_del" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0x8477d5c7, "d_add" },
	{ 0xaf974982, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x147a461d, "mutex_unlock" },
	{ 0x5069b744, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x219d045c, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x95b783d0, "security_inode_notifysecctx" },
	{ 0x3819dcd5, "nfs_ssc_register" },
	{ 0x91a878de, "init_user_ns" },
	{ 0x762efd57, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb2079630, "invalidate_inode_pages2" },
	{ 0xfc7a2422, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x354128e2, "mempool_destroy" },
	{ 0x69953b2a, "__folio_put" },
	{ 0x482d0259, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0x2ac5e26e, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x15e1ea7f, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb9ed2952, "deactivate_locked_super" },
	{ 0x92c58c5f, "put_rpccred" },
	{ 0x40a0c823, "__percpu_down_read" },
	{ 0xa62b4bff, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9aca7468, "kobject_uevent" },
	{ 0x37a579d5, "__fscache_invalidate" },
	{ 0xcfe75383, "folio_mapping" },
	{ 0xcbfc762, "downgrade_write" },
	{ 0xdb01f526, "cred_fscmp" },
	{ 0x89357eba, "__folio_lock" },
	{ 0xd5c5dbda, "filemap_dirty_folio" },
	{ 0xb9172e46, "pagecache_get_page" },
	{ 0x49d2d895, "is_bad_inode" },
	{ 0x664167f1, "proc_dointvec" },
	{ 0x23e62471, "seq_puts" },
	{ 0x971d3f77, "__fscache_use_cookie" },
	{ 0x13100e64, "rcuwait_wake_up" },
	{ 0xc376ea12, "_proc_mkdir" },
	{ 0x125db08d, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x379e711c, "seq_escape" },
	{ 0x70d6f010, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xae7ae721, "__fs_parse" },
	{ 0x905ee206, "sysfs_create_link_nowarn" },
	{ 0x5537791c, "dget_parent" },
	{ 0x14a88c47, "nlmclnt_init" },
	{ 0xdde3b74c, "kill_anon_super" },
	{ 0x954ffd6b, "xa_find_after" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x13eb97a6, "iget5_locked" },
	{ 0xc6d46f1b, "filemap_write_and_wait_range" },
	{ 0xf1a98465, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xac9632e2, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3c7e250f, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x2605b225, "param_ops_int" },
	{ 0xab803a84, "netfs_subreq_terminated" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x87f08c5c, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x48faa91b, "mntget" },
	{ 0x93601936, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0xca9c61f0, "kmem_cache_alloc_lru" },
	{ 0xdfd38246, "filemap_fault" },
	{ 0xbd30aa75, "d_invalidate" },
	{ 0xc94f979c, "__mark_inode_dirty" },
	{ 0xe23e4208, "generic_file_llseek" },
	{ 0xc0aaf80b, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xaa8a6315, "up_read" },
	{ 0x6dc74203, "__mutex_rt_init" },
	{ 0x79347649, "rpc_wait_for_completion_task" },
	{ 0x6109531a, "set_anon_super" },
	{ 0x382350d4, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd2506b37, "kmem_cache_destroy" },
	{ 0xbb4180c, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x73f905a7, "kobject_put" },
	{ 0xf5efcd00, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "3CEE70BA40D0C1B85154DD7");
MODULE_INFO(rhelversion, "9.6");
