#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x22d70df2, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x47fa5842, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x169959dc, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x6e14d258, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x7a9bf6c9, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x08a48e01, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x29221b58, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xa3caf955, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x3028aad1, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x1dbc9e9b, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xa1e4f6d7, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x6e1ca82a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x922df1f8, "ipv6_chk_addr_and_flags" },
	{ 0x3428dc8a, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xce308530, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xbbda8b81, "register_pernet_device" },
	{ 0x9f023023, "xfrm6_tunnel_register" },
	{ 0xc78776f9, "rtnl_link_register" },
	{ 0xd4a1d251, "xfrm6_tunnel_deregister" },
	{ 0xf1d577a6, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x816d7bf5, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7d26bd86, "rt6_lookup" },
	{ 0xd9910583, "dst_release" },
	{ 0xade53986, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbeffc76e, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x97a7a420, "init_net" },
	{ 0x4bb94164, "alloc_netdev_mqs" },
	{ 0x592e326a, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8f7e14e3, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x905ed536, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdd1cc126, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7f460758, "__pskb_pull_tail" },
	{ 0xee8cf03e, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x41014864, "netdev_state_change" },
	{ 0x875cad6f, "make_kuid" },
	{ 0x3fb69a75, "ip6_redirect" },
	{ 0x6a5d3f64, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x1e05416, "dst_cache_get" },
	{ 0x1e91e1d1, "ip6_route_output_flags" },
	{ 0xc5764de1, "xfrm_lookup" },
	{ 0xf3d1b3ca, "skb_scrub_packet" },
	{ 0x236ed772, "skb_realloc_headroom" },
	{ 0x1778a9ed, "skb_set_owner_w" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0xf9f1c9e9, "ipv6_push_frag_opts" },
	{ 0x6098cd14, "skb_push" },
	{ 0x129892cb, "ip6_local_out" },
	{ 0x737b0d4b, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0x4c23e4a, "ip6_dst_hoplimit" },
	{ 0x70339bf6, "ipv6_dev_get_saddr" },
	{ 0x30dd94ac, "neigh_destroy" },
	{ 0xbcfc3ac7, "skb_clone" },
	{ 0xd1844e36, "skb_pull" },
	{ 0xbd3bc876, "__icmpv6_send" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0x567d2023, "gro_cells_receive" },
	{ 0x86fd5462, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc0487367, "ip_route_output_flow" },
	{ 0x95a99749, "ip_route_input_noref" },
	{ 0xf32635cc, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4c05f271, "iptunnel_handle_offloads" },
	{ 0xeba0af27, "icmpv6_ndo_send" },
	{ 0x70ab1c18, "icmp_ndo_send" },
	{ 0x4b210641, "__iptunnel_pull_header" },
	{ 0x23c025cb, "metadata_dst_alloc" },
	{ 0x80d451b, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x132a109a, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x555a8b19, "dev_get_tstats64" },
	{ 0x219d045c, "param_ops_bool" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "52868A34B91E56416374099");
MODULE_INFO(rhelversion, "9.6");
