#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x04c11a76, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x3d521f88, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xfa29fa3f, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x2893a628, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xc75c607c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x65a39e5a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x1d9da37a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xd0234469, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x8b581002, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x24a8655c, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xa2a1f6a8, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x89cd3ca6, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x053ce785, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x0e6705b3, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xa408e512, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xcaedd5cc, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xfba3f38e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xa42d3e1c, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xf2a61aeb, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xe1205d6c, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xe510e0d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd2c837fc, "bpf_trace_run1" },
	{ 0x7eb10852, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9c6face1, "udp_sock_create6" },
	{ 0x8d745a65, "kernel_sock_shutdown" },
	{ 0x152884a4, "sock_release" },
	{ 0xa3ee5994, "sock_create_kern" },
	{ 0x7b902dd, "kernel_bind" },
	{ 0xa4f1d21a, "kernel_connect" },
	{ 0xbb1d1a3e, "udp_sock_create4" },
	{ 0xbbda8b81, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1d577a6, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0x27e456d5, "idr_find" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb068c7b3, "idr_get_next_ul" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x33e1dc, "idr_destroy" },
	{ 0x303e3659, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0x25f2521e, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9ef72266, "idr_alloc_u32" },
	{ 0xfbce5d29, "sockfd_lookup" },
	{ 0xf1443079, "lock_sock_nested" },
	{ 0xbc2cabb2, "release_sock" },
	{ 0x50fea938, "idr_replace" },
	{ 0x91299119, "fput" },
	{ 0xf880f7db, "setup_udp_tunnel_sock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ad45a23, "skb_queue_tail" },
	{ 0xb2d14407, "ip_queue_xmit" },
	{ 0x934781, "pskb_expand_head" },
	{ 0x56e968a6, "udp_set_csum" },
	{ 0x7f96661b, "inet6_csk_xmit" },
	{ 0x15b9f8c7, "udp6_set_csum" },
	{ 0xd9910583, "dst_release" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7f460758, "__pskb_pull_tail" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "AD5370426481A2B1381957D");
MODULE_INFO(rhelversion, "9.6");
