#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x39e182ba, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xd8454dad, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x6815c7e9, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xe5fa523a, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x67261a90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6e8f6d5, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x4a36cc38, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf249206d, "inet_addr_type_table" },
	{ 0x16ba4802, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5d51cc5f, "skb_copy_bits" },
	{ 0xe37b4d1f, "inet_unregister_protosw" },
	{ 0x27e456d5, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x51463187, "sock_wfree" },
	{ 0xc975225b, "skb_put" },
	{ 0x5a698a61, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x2edab234, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4c23e4a, "ip6_dst_hoplimit" },
	{ 0x2ad9cf52, "consume_skb" },
	{ 0x12c8e504, "inet6_add_offload" },
	{ 0x216d734a, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x642d5a2c, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb1d858bc, "trace_raw_output_prep" },
	{ 0x3dc78155, "l3mdev_fib_table_by_index" },
	{ 0xbb1d1a3e, "udp_sock_create4" },
	{ 0x25f2521e, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9d67f2d2, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x6dfe9de4, "rt_mutex_base_init" },
	{ 0xcdd2324b, "finish_wait" },
	{ 0xd6fae36d, "skb_segment" },
	{ 0x66b4103b, "trace_event_printf" },
	{ 0x55349883, "__ip_dev_find" },
	{ 0x3489fa68, "udp_tunnel6_xmit_skb" },
	{ 0xa6675ce9, "sock_common_getsockopt" },
	{ 0x9f7292ef, "inet_bind" },
	{ 0x803429c4, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x486cee79, "prepare_to_wait" },
	{ 0x31c15ae4, "fd_install" },
	{ 0x7eb57e6a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xfd51c787, "inet_register_protosw" },
	{ 0x80d451b, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x7eb10852, "bpf_trace_run2" },
	{ 0x43e5d84d, "sock_common_setsockopt" },
	{ 0x34e17e04, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7e94ddee, "__wake_up" },
	{ 0xf4ee7645, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc0487367, "ip_route_output_flow" },
	{ 0x7f14240a, "rhashtable_walk_enter" },
	{ 0x8329478e, "kmem_cache_create" },
	{ 0x6a4da12f, "__sk_mem_schedule" },
	{ 0xb5b26be3, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x2acbe155, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1db763e7, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xe336c8b6, "sk_error_report" },
	{ 0xd2b1cc77, "register_pernet_subsys" },
	{ 0xe8a68311, "put_cmsg" },
	{ 0xd9bfaffd, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xc90fe0a7, "inet_sock_destruct" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x74da3c0a, "sock_kmalloc" },
	{ 0x8e37635f, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x944d7dec, "inet_getname" },
	{ 0x6c40445c, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x53a19265, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x76c9e670, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x638031ab, "inet_release" },
	{ 0xa18e2fa3, "rt_write_unlock" },
	{ 0xaf010c88, "kmem_cache_alloc" },
	{ 0x38f3ab25, "proto_register" },
	{ 0xeae1bb10, "skb_copy_expand" },
	{ 0x7bec3126, "__wake_up_sync_key" },
	{ 0x58b72c83, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x4e4b6e55, "idr_remove" },
	{ 0x2fc9944e, "inet_ctl_sock_create" },
	{ 0x8591d00c, "inet_ioctl" },
	{ 0x4486e6f, "reuseport_add_sock" },
	{ 0xe2460a1b, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xbc26760c, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x281ffee0, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x604933e4, "perf_trace_run_bpf_submit" },
	{ 0x91299119, "fput" },
	{ 0x3c2bdcea, "__traceiter_sk_data_ready" },
	{ 0xe6df4098, "inet_accept" },
	{ 0x97a7a420, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x49d3f6b7, "crypto_shash_setkey" },
	{ 0xd1844e36, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xbc90a7d0, "inet_add_offload" },
	{ 0x4235c608, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2cd091cc, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8e77f43a, "inet_add_protocol" },
	{ 0x43077c7d, "inet_shutdown" },
	{ 0x303e3659, "sk_free" },
	{ 0xddc4bd06, "sock_wake_async" },
	{ 0x3428dc8a, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x94721e4, "inet_del_offload" },
	{ 0x6098cd14, "skb_push" },
	{ 0x47c1e111, "__ip_queue_xmit" },
	{ 0xf144e9fa, "kmem_cache_free" },
	{ 0xa5935db5, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xad9db618, "proc_doulongvec_minmax" },
	{ 0x60db73a6, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbd0586b0, "rhashtable_walk_start_check" },
	{ 0x132a109a, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf1443079, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xa41dee03, "inet6_ioctl" },
	{ 0xbf57eaf7, "skb_copy_datagram_iter" },
	{ 0xb566fcf7, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x725e119a, "idr_alloc_cyclic" },
	{ 0xc3b8d2af, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x98be3050, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x87ac2ba6, "ip6_dst_lookup_flow" },
	{ 0xae7e7029, "rhashtable_free_and_destroy" },
	{ 0x8eb63f18, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb0f18527, "rht_bucket_nested_insert" },
	{ 0x51274ce0, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x49413833, "sock_no_mmap" },
	{ 0xa1cc9dea, "__init_waitqueue_head" },
	{ 0x7f460758, "__pskb_pull_tail" },
	{ 0xfc533ac7, "sock_no_sendpage" },
	{ 0x77d1cf98, "rt_spin_unlock" },
	{ 0xf880f7db, "setup_udp_tunnel_sock" },
	{ 0x9c6face1, "udp_sock_create6" },
	{ 0xc8c84d07, "skb_trim" },
	{ 0xe0c7731b, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab15b87d, "sk_common_release" },
	{ 0x1f05dfe0, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x137f3a24, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x51bc429f, "rt_read_lock" },
	{ 0x1af6e8c8, "inet6_getname" },
	{ 0x99ee334e, "sock_i_ino" },
	{ 0x1f1e38cf, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xabe42c8a, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xed425419, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1778a9ed, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x12958775, "trace_event_buffer_reserve" },
	{ 0x352e214f, "__skb_checksum" },
	{ 0x4507b013, "reuseport_alloc" },
	{ 0x396401d9, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x76bd1801, "inet6_release" },
	{ 0xb0ed7ba3, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x6c6711d6, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x219d045c, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x5b779953, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9c9ce6aa, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8fe2d54e, "rhltable_init" },
	{ 0xbdafbe83, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dfc2cd, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa34f490d, "proc_create_net_single" },
	{ 0x5c638471, "skb_copy" },
	{ 0xbcfc3ac7, "skb_clone" },
	{ 0x3eb6cf87, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd9910583, "dst_release" },
	{ 0xb7a0ad6e, "rt_write_lock" },
	{ 0x2259dc6d, "_copy_from_iter" },
	{ 0x152884a4, "sock_release" },
	{ 0x5b3cda43, "inet_recv_error" },
	{ 0x664167f1, "proc_dointvec" },
	{ 0x23e62471, "seq_puts" },
	{ 0x518b112e, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x7029b9f2, "rhashtable_walk_next" },
	{ 0xc376ea12, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x297bb370, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7ee50eea, "send_sig" },
	{ 0x131e8c4c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5509eac, "inet6_add_protocol" },
	{ 0x62bfed99, "from_kuid_munged" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x76f61337, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x3985674, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x94757971, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0x12024d09, "reuseport_detach_sock" },
	{ 0x554ee54d, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x599c4061, "iov_iter_revert" },
	{ 0x8eef1a47, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x62238c7, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe03cba35, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0xd2506b37, "kmem_cache_destroy" },
	{ 0xbc2cabb2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcc428133, "skb_queue_head" },
	{ 0x99a23e3e, "proc_dointvec_minmax" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "994877EBA47527C68D2F0EC");
MODULE_INFO(rhelversion, "9.6");
