#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0xef9a26c0, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69e69724, "tpm_transmit_cmd" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0xea6efc06, "look_up_OID" },
	{ 0x3c014d3f, "unregister_key_type" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xade565ea, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x143593f9, "register_key_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x9596b321, "crypto_destroy_tfm" },
	{ 0x8525b8ee, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xbf5be44b, "put_device" },
	{ 0x624f7049, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5de6109c, "tpm_default_chip" },
	{ 0x49d3f6b7, "crypto_shash_setkey" },
	{ 0x9c526765, "user_describe" },
	{ 0x5a921311, "strncmp" },
	{ 0xe67dc0e9, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6c1fef92, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0x1723ae0, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe30e436, "param_ops_charp" },
	{ 0x2a321859, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdc7ad9d, "tpm_is_tpm2" },
	{ 0xfea6a997, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88a2611a, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74f17485, "tpm_put_ops" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xba9da518, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0x8eef1a47, "crypto_alloc_shash" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27b2fa99, "kmalloc_caches" },
	{ 0x7cb925c2, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder");


MODULE_INFO(srcversion, "45D25DB187D2B9407D5966F");
MODULE_INFO(rhelversion, "9.6");
